GNU bug report logs - #50205
27.2; crashes or hangs when opening a specific file using tramp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mani Kancherla <kancherla.mani@HIDDEN>; dated Wed, 25 Aug 2021 19:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 15 Sep 2021 06:53:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 15 02:53:09 2021
Received: from localhost ([127.0.0.1]:50644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQOn6-0002G8-WA
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 02:53:09 -0400
Received: from outbound.soverin.net ([116.202.126.228]:57009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mQOn4-0002FR-NQ
 for 50205 <at> debbugs.gnu.org; Wed, 15 Sep 2021 02:53:07 -0400
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 76A10E3;
 Wed, 15 Sep 2021 06:53:00 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1631688779; bh=jSgHPuhh+RT5tQy9Eon9ksHLWDtoMNGJb3UYGoiy72U=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=J3gWQ1It/lT9t0YAGQfUi0QqKS+/y6wj6aM3KbBuj2Y/YKeM7IfkekPVQNQQdkISM
 veqFDSvefOKMcJCM8IamF6YRoOK+u8w8R7sKzwM0i5rx2zNuzLOx1M+0De1hxAITlw
 /t1Nd9RDxodngZvJs7kgLOVT34CtxjXVxQSfKi7A1pNuB97cRgcskeXdCAzNJr27NF
 arTfm0DDxan4vMM2gr4u9nkP7ftWqrvpTJOtjuWLrItFMzqm+P5PVnBkq03xRwCJFf
 90ByHzTVjjKoql5DeUbSll4ZXP5heffZ4bvGkEFinBoOAz3zPEwS2opNYvmzqReme4
 z7zKFQOMCzhsw==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.94.2)
 (envelope-from <alan@HIDDEN>)
 id 1mQOmr-0007Yy-VQ; Wed, 15 Sep 2021 07:52:53 +0100
Date: Wed, 15 Sep 2021 07:52:53 +0100
From: Alan Third <alan@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
Message-ID: <YUGYRebpqBAbZXny@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Mani Kancherla <kancherla.mani@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>, 50205 <at> debbugs.gnu.org
References: <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN> <YTo5TK0Oez0leElg@HIDDEN>
 <CAGaWTtCe7CXBBgZPUYbrFfPCD6xdKZ4gSPyKTj81hGdk3OZ+aA@HIDDEN>
 <87czpfsfih.fsf@HIDDEN>
 <CAGaWTtCcA1BtoEJ3nX6RXPJmr4R5-kBe9jbGQqJCX+bLTj3GVw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAGaWTtCcA1BtoEJ3nX6RXPJmr4R5-kBe9jbGQqJCX+bLTj3GVw@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50205
Cc: Michael Albinus <michael.albinus@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Sep 14, 2021 at 05:55:11PM -0700, Mani Kancherla wrote:
> Hi Alan,
> 
> I switched to emacs master branch, updated to top of tree and tried
> compiling, but I am getting some errors.
> 
> #./configure --with-ns --with-gnutls=ifavailable CFLAGS="-O0 -g3"
> #make
> .....
>   ELC      emacs-lisp/eieio.elc
> desired fingerprint:
> 8b7026588f98cb70e851ab6ac87fe77659a38fab52a43323651c0da510d006fd
> found fingerprint:
> 34743d99e3ddcdb920608717b7a128d4f3ff4736a5edd127bdcca3dfe8da5649
> emacs: could not load dump file
> "/Users/mkancherla/src/emacs/src/emacs.pdmp": not built for this Emacs
> executable

Try running "make bootstrap".
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 15 Sep 2021 00:55:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 20:55:29 2021
Received: from localhost ([127.0.0.1]:50463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQJCz-0001yV-Eg
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 20:55:29 -0400
Received: from mail-il1-f172.google.com ([209.85.166.172]:37405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mQJCx-0001yI-JR
 for 50205 <at> debbugs.gnu.org; Tue, 14 Sep 2021 20:55:28 -0400
Received: by mail-il1-f172.google.com with SMTP id i13so1110171ilm.4
 for <50205 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 17:55:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=RJruFN/uBuyM1bAM9kX9uIdF7wAh/axb1Lj/bxlFlog=;
 b=exmgcqziBYgHVzyuGXwsdG07vDLz0ASuFgjYegnQViF2UsrPe+Alf4+/J06kz4cMsG
 PH0PYre/8dhaPGVyxD6LCvXM+KDUqMEYbYm/mAhyW8S9R4c2/sXuh1OGbD5ChBjq7fUy
 ZeP61PrkM74nzVmzXTKzr1L/P3wSaJE7g88ElN0h9tRmne5CC8eUjm/Xsjc4xwZwJnPo
 N819gKxD0YjMRWxkBnkTO7kW58iyVKvMP0Kx1syx1++2358DWDR/+787mvvwZ3WbNssn
 2i75O7L9PH8PFmF1IS134OUqvILcANTegz/NDliaP6p7cfwAn2cpjNI/AHT50BF0WBrD
 UyhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=RJruFN/uBuyM1bAM9kX9uIdF7wAh/axb1Lj/bxlFlog=;
 b=sZLFUqVTAgaaTb1BU+l4I1nGLlkK+h4o3UH0iGyMe0ZE4kFIyKd7IfFq/+RZsIS9it
 8qWhO1iAV68Mn9jgYkW+72JYDI7ObzPBYsjYjdMDwxLDlmdbypFf3iAnOTw3wHHICnvq
 HjwrFRWy2wp2kf+U4kQhG1ITQrkiTyfqYcMmFl8VfZXnXD1z6RsHNEiy//LaaOSTgwcP
 IDev5qBo8rrx2Z+M9M57elfKagiCo6+kejWKYXEVoilSyz0+22AEqug5r9M6QZiemoW4
 jcdvy0Hcw05jSi8N2PkEpM06f0UId3lS75vYuiw2G/MYCtLtAgi8d9phtOZfAvKpJIiA
 dVtw==
X-Gm-Message-State: AOAM531rOOLojqVLBf1iugEgHi/hZqCn6PM6Kuhej/7nOTUp8MerzABq
 vbAaHdtSwqEL/aJ2C8KpnGdF8+F1PRkOgGLZ9bc=
X-Google-Smtp-Source: ABdhPJxh1qOzYf8FreJn7wpkBvx4Ok7xT8FGsSrchFOxWuc1c5J8HV/fpwauscCfhLW5h9JkybGxgYoTb4x6UWQIpzU=
X-Received: by 2002:a92:c605:: with SMTP id p5mr13857722ilm.53.1631667321974; 
 Tue, 14 Sep 2021 17:55:21 -0700 (PDT)
MIME-Version: 1.0
References: <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN> <YTo5TK0Oez0leElg@HIDDEN>
 <CAGaWTtCe7CXBBgZPUYbrFfPCD6xdKZ4gSPyKTj81hGdk3OZ+aA@HIDDEN>
 <87czpfsfih.fsf@HIDDEN>
In-Reply-To: <87czpfsfih.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Tue, 14 Sep 2021 17:55:11 -0700
Message-ID: <CAGaWTtCcA1BtoEJ3nX6RXPJmr4R5-kBe9jbGQqJCX+bLTj3GVw@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001e34d805cbfe276f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Alan Third <alan@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001e34d805cbfe276f
Content-Type: text/plain; charset="UTF-8"

Hi Alan,

I switched to emacs master branch, updated to top of tree and tried
compiling, but I am getting some errors.

#./configure --with-ns --with-gnutls=ifavailable CFLAGS="-O0 -g3"
#make
.....
  ELC      emacs-lisp/eieio.elc
desired fingerprint:
8b7026588f98cb70e851ab6ac87fe77659a38fab52a43323651c0da510d006fd
found fingerprint:
34743d99e3ddcdb920608717b7a128d4f3ff4736a5edd127bdcca3dfe8da5649
emacs: could not load dump file
"/Users/mkancherla/src/emacs/src/emacs.pdmp": not built for this Emacs
executable

Any suggestions on how to work around this?

Thanks,
Mani


On Sat, Sep 11, 2021 at 1:06 AM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Mani Kancherla <kancherla.mani@HIDDEN> writes:
>
> > Hi Alan,
>
> Hi Mani,
>
> > Can you please clarify what you want me to try? Master branch emacs?
> > or tramp?
>
> I propose the combination of Emacs from master branch, and Tramp from
> GNU ELPA. Note, that you need to recompile the Tramp ELPA package with
> the used Emacs version; this is always needed if you use another Emacs
> with a different major version number.
>
> > Thanks,
> > Mani
>
> Best regards, Michael.
>

--0000000000001e34d805cbfe276f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Alan,<div><br></div><div>I switched to emacs master bra=
nch, updated to top of tree and tried compiling, but I am getting some erro=
rs.</div><div><br></div><div>#./configure --with-ns --with-gnutls=3Difavail=
able CFLAGS=3D&quot;-O0 -g3&quot;<br></div><div>#make</div><div>.....</div>=
<div>=C2=A0 ELC =C2=A0 =C2=A0 =C2=A0emacs-lisp/eieio.elc<br>desired fingerp=
rint: 8b7026588f98cb70e851ab6ac87fe77659a38fab52a43323651c0da510d006fd<br>f=
ound fingerprint: 34743d99e3ddcdb920608717b7a128d4f3ff4736a5edd127bdcca3dfe=
8da5649<br>emacs: could not load dump file &quot;/Users/mkancherla/src/emac=
s/src/emacs.pdmp&quot;: not built for this Emacs executable<br></div><div><=
br></div><div>Any suggestions on how to work around this?</div><div><br></d=
iv><div>Thanks,</div><div>Mani</div><div><br></div></div><br><div class=3D"=
gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sat, Sep 11, 2021 at =
1:06 AM Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN">micha=
el.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote"=
 style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);p=
adding-left:1ex">Mani Kancherla &lt;<a href=3D"mailto:kancherla.mani@gmail.=
com" target=3D"_blank">kancherla.mani@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Hi Alan,<br>
<br>
Hi Mani,<br>
<br>
&gt; Can you please clarify what you want me to try? Master branch emacs?<b=
r>
&gt; or tramp?<br>
<br>
I propose the combination of Emacs from master branch, and Tramp from<br>
GNU ELPA. Note, that you need to recompile the Tramp ELPA package with<br>
the used Emacs version; this is always needed if you use another Emacs<br>
with a different major version number.<br>
<br>
&gt; Thanks,<br>
&gt; Mani<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--0000000000001e34d805cbfe276f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 11 Sep 2021 08:06:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 04:06:32 2021
Received: from localhost ([127.0.0.1]:39503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOy1w-00084j-7r
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 04:06:32 -0400
Received: from mout.gmx.net ([212.227.17.22]:37317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mOy1u-00084W-H2
 for 50205 <at> debbugs.gnu.org; Sat, 11 Sep 2021 04:06:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1631347575;
 bh=2lF9wEzmp/iG38GWnkp4CJVsjMOaTuQ/hudL2TYQ4P8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ItTQ8iUMnhHEpyoEf2zqoqjU2xC4s5aKebr9zECFR5N1ViYfX6xcxZP2e8gIfXb0b
 mbXZSNlF6pGMfN/KFeXjoM8Kh3c+f9J6OHpcT6BjRU9DtAc3IdCBKWR9iGonF5pjmb
 /QhpiejXmV/TcieeVtOn2JmFIoBeF7IwdoDxE2gY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.148.126]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MfpOT-1ms0FS1sBV-00gJwn; Sat, 11
 Sep 2021 10:06:15 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN> <YTo5TK0Oez0leElg@HIDDEN>
 <CAGaWTtCe7CXBBgZPUYbrFfPCD6xdKZ4gSPyKTj81hGdk3OZ+aA@HIDDEN>
Date: Sat, 11 Sep 2021 10:06:14 +0200
In-Reply-To: <CAGaWTtCe7CXBBgZPUYbrFfPCD6xdKZ4gSPyKTj81hGdk3OZ+aA@HIDDEN>
 (Mani Kancherla's message of "Fri, 10 Sep 2021 17:20:01 -0700")
Message-ID: <87czpfsfih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:K8juOgQjALVb9/j51N93YMkYe7NHNDp7XnapdOt9v3wKx8XQNFo
 qhJUpzX5VkTDKpMG1K8wKsz4m6pSDGfQ7JkHCvByoF0gfZz/PMW2dVW7/qGvqs2LtM4sxk9
 20hpkobDG+TTSHmXayOR92Y5MzQSHNEcKTicc8SLc4wgGWGnlyv90uiaSf72rjKgS+SlN0I
 gfMMzztcmq9LVSJum7rPA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RuRooHuyj2M=:gFV0vHuWY+zEsh7B/rwngA
 VFpwY+P21V8zJv9Pukr5Ebvjm20pqoEnBp/kmJAt6kdki7BJ7eBSjJYEamSfEZ7VuS1VV0V+7
 VAbG1+BOU/z+AsqVpq8tpyohVJVETl5HgGizx5b+WFPVOIHT67J9Yv794jbjjLLbm1ODGi2om
 XjTXC5IZZOwRKso575TlV6PRpv0rHR6ZnRNxXReaCUMq3GnaWN4Hdshq6K+HVE0qtggIIno/y
 LTiVexDKRNPqmqTCYHwtukaHkmmjXbZuMOr2CQRBmLKEukKpEAE+HqBW+9GepbnErAaX0ScC6
 ssd7Seh4+oQd9L5/EJL1giAXeL6Rg7+2i9hSs89d8yWCrNQh7NkHfcDlUwvQtJgp935wxGUOm
 4y4pKdrCWxfHE8f83mIsix5Cw1ZclowXzjGpWbYjWUxZnAVJoq3Y5n+amuVBc3xkuY21ao/f+
 owY+rqQWqsF7vuHl2Qak61Td9YxLFMtSy2le/zYco9E6R3sCBrHZLLGRrRaWQzYVvn4pDxShe
 +6BjQf4r9IRe7AwBUle79T104790xR+wDzpbNt2snG0Dds7Ay4K0PLC5O19JJVJvPJB47qjPC
 C7mKA8kLPijGMkzb3RbeLKDD1Tb4lLdfCvsAsU3xpr15RV3I7/qoS1acwuqQSohXEAFbgjSCf
 7vnNzbuOtorKfqVjn1/vzmItgsnrc+s/YZerIbfOAwt3zJETlNntc78XLqlBu8/plf8vo6yEk
 A7AunncgQeHTIQBoH5WPKYB+B0ZwJ7hz57STc0s1o0QID9b9M9uapDbCSXng01+W6I1m0ZIVN
 YcRyIDSxAd1NW7mKvR2P/2MWLWuKXL+AHbQ8Pp/oaB5wARUTCNCqVPbHNtrz6Xn/c8VJ7d1eD
 sH3pSjYkLDONtW1O8VGieFXOMQewNLKim1M4HVNXVuQMtorOu78bc/aeAI7uXKiSTeLVmli+1
 BdsQ4sykdzP++kvXJEgMSQFrE3m7XBAxUltsG2NcPVldZtSSmPK7ukcVAuT1Cz9aOdVace+HN
 yT1WJaVu1gqoyhTK/u9B9vGViC7aIkTGkd4NzoxEpzcY5OUGRrag0stDdUspnvSaPROf8usXD
 tNyEKjX29WJPEk=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Alan Third <alan@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

> Hi Alan,

Hi Mani,

> Can you please clarify what you want me to try? Master branch emacs?
> or tramp?

I propose the combination of Emacs from master branch, and Tramp from
GNU ELPA. Note, that you need to recompile the Tramp ELPA package with
the used Emacs version; this is always needed if you use another Emacs
with a different major version number.

> Thanks,
> Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 11 Sep 2021 00:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 20:20:20 2021
Received: from localhost ([127.0.0.1]:39324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOqkm-0004r6-3P
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 20:20:20 -0400
Received: from mail-il1-f179.google.com ([209.85.166.179]:33737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mOqkk-0004qq-3F
 for 50205 <at> debbugs.gnu.org; Fri, 10 Sep 2021 20:20:18 -0400
Received: by mail-il1-f179.google.com with SMTP id z2so3849088iln.0
 for <50205 <at> debbugs.gnu.org>; Fri, 10 Sep 2021 17:20:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=IZdrrE7jK1g6fGB3e5JvzWdNH6ScbuB8sLykND4EaiE=;
 b=VFfQP/DFONvypqULm2Az1tEkhW0rFwJufLqd9D7b0ehkzU+fZypmQ1JcHrYcyJNAmJ
 XJ+ibwKXrZqsELwBGR6IiIGg5tOSDjy8ShtvZennoZqP3FD9+q+edumHe5ivNmGmcS0A
 SAbIudJM+JeXKwLFp9Vb5kzs7wFwrpmiLLzSYeXEhNnB/2MOipMdvLa4Rz56JyJb9qzk
 zbPtfE0ef3SuOztw+PKIYwnjkaw59qP5kR6g8GCbAdnR8Dez8N19GRq1l0KjBVkbNwCH
 GLbaW2dJnoI0VOkhZosdk821f1I6rjjmhb/d6rYv0bVedFLS0OvCyGF8mGu6mGPaivCF
 WYtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=IZdrrE7jK1g6fGB3e5JvzWdNH6ScbuB8sLykND4EaiE=;
 b=h350fDDgLEYNXIGBJ3k6ItKF6lzmz2xBL1AgNVn4jNLop2s+Mqf5f/C61zdcv+BVno
 jxK9Y/ujsOfS2k0rxuOaaxxCeE3LBg+l7F13zqyfQaBuBX+4XSEckDY9YnGT5Kqcfabe
 Gb/z9pW8UkheBcL4dWIbERgPeQP9OmCf2mEeCGoJFsEtjGYLA7O6M2R8JyTe8xNIuD/h
 ZkwTz6JuGm7Nw0zahKpEJ0CI2NuZiP3a5g2NY9S144gugtJndJ8akoozsHb2DlsB4DoH
 cklVFOpjNtaH/4OtU9wstJxSOlNBk03jPQ84M5YTrrPbRTVum224/9mK8ONWTuF23CLZ
 +2+A==
X-Gm-Message-State: AOAM531DY21RE7IGoH6+QE8mbA0bo0l5MuaDWz7+Z8DbU5qfy/DPazjV
 S7MiuHLOCLASH2n8z8RRCYiZIyMBl19XrSIgGK4=
X-Google-Smtp-Source: ABdhPJwcZGVbf29qc0c8nfQOSYjH7gJrL6lflz599Kbz0MAS7X54eit7MlHen5yo+YmSlqKpjtvCSRebukFsinZI4Fw=
X-Received: by 2002:a92:c605:: with SMTP id p5mr215540ilm.53.1631319612344;
 Fri, 10 Sep 2021 17:20:12 -0700 (PDT)
MIME-Version: 1.0
References: <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN> <YTo5TK0Oez0leElg@HIDDEN>
In-Reply-To: <YTo5TK0Oez0leElg@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Fri, 10 Sep 2021 17:20:01 -0700
Message-ID: <CAGaWTtCe7CXBBgZPUYbrFfPCD6xdKZ4gSPyKTj81hGdk3OZ+aA@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Alan Third <alan@HIDDEN>, Michael Albinus <michael.albinus@HIDDEN>, 
 Mani Kancherla <kancherla.mani@HIDDEN>, 50205 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000024f6805cbad32c5"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000024f6805cbad32c5
Content-Type: text/plain; charset="UTF-8"

Hi Alan,

Can you please clarify what you want me to try? Master branch emacs? or
tramp?

Thanks,
Mani

On Thu, Sep 9, 2021 at 9:41 AM Alan Third <alan@HIDDEN> wrote:

> On Sat, Sep 04, 2021 at 09:06:42AM +0200, Michael Albinus wrote:
> > Mani Kancherla <kancherla.mani@HIDDEN> writes:
> >
> > > I still see the problem with this. I open that specific problematic
> > > file and split the window, it hangs.
> >
> > Just to be sure, I reran your test, again. No problem.
> >
> > You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
> > makes the difference, and we see an error of Emacs' thread
> > implementation on macOS.
>
> The state of threads on the NS port is... not good.
>
> It may be worth Mani trying the master branch, though. Some crashes
> and (possibly) infinite loops have been solved there.
>
> --
> Alan Third
>

--000000000000024f6805cbad32c5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Alan,<div><br></div><div>Can you please clarify what yo=
u want me to try? Master branch emacs? or tramp?</div><div><br></div><div>T=
hanks,</div><div>Mani</div></div><br><div class=3D"gmail_quote"><div dir=3D=
"ltr" class=3D"gmail_attr">On Thu, Sep 9, 2021 at 9:41 AM Alan Third &lt;<a=
 href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br></div><b=
lockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-le=
ft:1px solid rgb(204,204,204);padding-left:1ex">On Sat, Sep 04, 2021 at 09:=
06:42AM +0200, Michael Albinus wrote:<br>
&gt; Mani Kancherla &lt;<a href=3D"mailto:kancherla.mani@HIDDEN" target=
=3D"_blank">kancherla.mani@HIDDEN</a>&gt; writes:<br>
&gt; <br>
&gt; &gt; I still see the problem with this. I open that specific problemat=
ic<br>
&gt; &gt; file and split the window, it hangs.<br>
&gt; <br>
&gt; Just to be sure, I reran your test, again. No problem.<br>
&gt; <br>
&gt; You said that you&#39;re on macOS, while I&#39;m using GNU/Linux. Perh=
aps this<br>
&gt; makes the difference, and we see an error of Emacs&#39; thread<br>
&gt; implementation on macOS.<br>
<br>
The state of threads on the NS port is... not good.<br>
<br>
It may be worth Mani trying the master branch, though. Some crashes<br>
and (possibly) infinite loops have been solved there.<br>
<br>
-- <br>
Alan Third<br>
</blockquote></div>

--000000000000024f6805cbad32c5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 9 Sep 2021 16:42:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 12:42:02 2021
Received: from localhost ([127.0.0.1]:36097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mON7i-0005ZY-0i
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:42:02 -0400
Received: from outbound.soverin.net ([116.202.126.228]:37641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mON7f-0005Z0-5I
 for 50205 <at> debbugs.gnu.org; Thu, 09 Sep 2021 12:42:00 -0400
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 5827F4F;
 Thu,  9 Sep 2021 16:41:52 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1631205711; bh=xFmtET4XQKVVsDIMSAUaslFWHm2OFMvhYK+gfMtDVYM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=MLCpiK7gQ67L6/5qUgLjiM1XSlYyqmgFqWLA3itmcbCkI7BmgctinID0x7ydfNg8O
 1l5kBUbNOIlmu1OZoElnHWNTLLZ6iLJgcRnSl6mRt9yB3wKUF96cE9frO4VkAQXdpu
 8eP4flHtj67WIAoww5sqVxwHuWOvbekSCkB1lplvr4Sbiyr86Udo74HCSySLv1xeOo
 2dNtTU1AygPh6ZX0FGIa9JVQk4AdIWPJChMSLK8DwfoI5/k1U4yPjaAL1lEr7yM6me
 PApAaVQHVdt3z7BJoFgqyHwTbiLcaJkQyShw3mcyAzLoBjq+3JKER5GtIk3H58maQz
 isn2lKqEgJAYg==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.94.2)
 (envelope-from <alan@HIDDEN>)
 id 1mON7U-001TJu-E4; Thu, 09 Sep 2021 17:41:48 +0100
Date: Thu, 9 Sep 2021 17:41:48 +0100
From: Alan Third <alan@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
Message-ID: <YTo5TK0Oez0leElg@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>,
 Mani Kancherla <kancherla.mani@HIDDEN>, 50205 <at> debbugs.gnu.org
References: <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <874kb06cql.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50205
Cc: Mani Kancherla <kancherla.mani@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Sep 04, 2021 at 09:06:42AM +0200, Michael Albinus wrote:
> Mani Kancherla <kancherla.mani@HIDDEN> writes:
> 
> > I still see the problem with this. I open that specific problematic
> > file and split the window, it hangs.
> 
> Just to be sure, I reran your test, again. No problem.
> 
> You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
> makes the difference, and we see an error of Emacs' thread
> implementation on macOS.

The state of threads on the NS port is... not good.

It may be worth Mani trying the master branch, though. Some crashes
and (possibly) infinite loops have been solved there.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 9 Sep 2021 07:02:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 03:02:46 2021
Received: from localhost ([127.0.0.1]:34034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOE58-0001wJ-9r
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 03:02:46 -0400
Received: from mout.gmx.net ([212.227.15.18]:39079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mOE54-0001w2-6t
 for 50205 <at> debbugs.gnu.org; Thu, 09 Sep 2021 03:02:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1631170948;
 bh=2OWlod+vcwpeoOAq0o0BoeAk/u3Q0TD0m/jKvVt40z4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=DKX35wyMDFBSsbbNedqqB7FbFwUU1Hd0VeKxuqY2cIBI/+E3Oh+lq4u1V96k43Hsn
 cm0QZkhLuDY7AhzZeTAUd9IQ2IfnjAyA3E30t7ZXPQRbzGqWP5iymCt+2IG/Y4cx5E
 5GvFJjrzHdQx0od8NRMC41l8TxomudjrzFoPMbr4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.148.40]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M3lY1-1mOVC308OJ-000uyY; Thu, 09
 Sep 2021 09:02:28 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN>
 <CAGaWTtAW0ajRx4GzUt3QPOR2Vqayn3FGPJaYhCb1F=h_0mBEfw@HIDDEN>
Date: Thu, 09 Sep 2021 09:02:26 +0200
In-Reply-To: <CAGaWTtAW0ajRx4GzUt3QPOR2Vqayn3FGPJaYhCb1F=h_0mBEfw@HIDDEN>
 (Mani Kancherla's message of "Wed, 8 Sep 2021 14:12:27 -0700")
Message-ID: <87y2869qpp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:9FOQ7oF6UgXclLDCwD60+3tOfayafovj8Qz5pPV/wkGXsBKw7Dz
 77eTkTVPBIcOJwGlM2wy9MZcEvbaTAmUEQvWYEEE0uFwnp8UkNHXFbmb1FMu6ocpyKnEHbT
 U9BgfFEdAWKlYDx/pgnuujtAPzf58LrOvJhV5iYv0vg35Zn4TmusnhGHC1gdmDTRmtvcqpO
 byOozAA2AesVRoua/lK3w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ImicnMBZ9r0=:Oj+UtFlj/B5SayI1d5xh1U
 b1LLhU6GrbAdZwgzgTfYKo8bWsF/eFyxmQkctixyD67BNJE3xYrQh8hVgIJyTdVRIEVJ+6wNl
 797CYApd0GMUQ2WJ7SNecrCfAckTWD8N+eOEQUb1tKEEZQdMV8aCAD3y6dU0P/Ao+MPu3VY0a
 65geHyBHiQirbtq0POQak1Eo1625u3jQ1JP3dmb4U7jAjZVZ8lZYQwJrCgWhJGuHfTm9itIdJ
 asyRaaGZlTbh2RnfIuf0+g7dsvv3r4L5yKMu45WVV5aCrcd8yJQ0N2iGDVR7Y4MB9y3Fvp1Vj
 1u5GVGVyRA3QVn/Dx+aFLHjJtaZMvJkWwf/qW2FtdhbY+eDD5zzjFkmDkgBWNGzKD9VrWsfkz
 5yadlaGTIjE2ugw6CQrivVI6JI4Lcg9gBapVJhuscXoJTGBEagsFEwHYPEUqCJzI0FG5xd2Qc
 mTXlnS7WP8IC+twbmy0Lvq4pT7ThM1jylfinDx3Jkz3axlA7M1f6p8WHz1LaVcbBnrXN4w3PD
 ijyS3fqU2v18pSVEVdsye69AZilrWg+AfgMM7xZ2X8GmpxQAN2N2Zh8YGvf5gOf+tQOlXcyu9
 c6n8Twe3w1CVwAL5aBF2mzIH/Ykn5cZl7WG0n1a6756TGwRV/9O1oXNUJZ5G7GW16JCkS56+L
 kufKZuVuvbd5zHXnn+COBy16ojyCbghs/K20x01pAcHavcx+qsNIAuJp4E6bdY/OBSjEMUvpQ
 fHKu+SFH/fnMFqaXec4xYRsEffpup5LcTluZQ0sYsJS+GUMH2HG2wfvHiAKjoegen3zLQ8AYT
 wWqnWoB265J2XtXCg9YHWHE/GKdQkjmGVKehDpItAg08Rp0We06BBZ1gMSFKLQ9lgvzR/WISO
 c0YyzojT9pmmWdjTMUS9FkczyoNrRwFNbeFuvCrAcSWsJ3UUr3O7QXytyUClFDTAQd7fr0FQ7
 l/6Ray97VIujCCLSTHabaC/LUjIFHyJhokH78nhc1lvr9SR2W7tl5QxrB1wElsZZoD6oQrn+C
 bVWcFgFezkko4lLm9vsftbbSCu2eUkPrx6BrxnhIQ7tBPnjy0rEfHuzEO9lOd1RUhTnN57lqD
 g1FE/M1Opt8jUY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org,
 Alan Third <alan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

> Hi Michael,

Hi Mani,

> Sorry, it took me some time to get back to you. I asked one of my
> colleagues to try it on her MAC.
> We installed emacs 27.2 on that MAC first and then tramp 2.5.1,
> verified that tramp 2.5.1 is loaded
> with M-x tramp-version and then we could easily reproduce the issue.
>
> I also suspect that it is related to tramp on MAC. I had been using
> emacs and tramp for a few years
> without trouble and I think the issues started last year. I don't
> remember if it was after I upgraded my
> MAC to the latest version at that time.
>
> What I noticed is that, occasionally, sometimes within an hour and
> sometimes after a couple of days, emacs
> crashes. I tried upgrading MAC OS, emacs, tramp and nothing helped.
> Then I tried to narrow it down
> so I could consistently reproduce it.
>
> Switching to the built-in 2.4.5.27.2 helped, i.e. reduced the
> frequency of crashes significantly and also I
> don't see the issue with the specific file that I could reproduce the
> issue with consistently. However, I still see
> emacs crashing occasionally. I am trying to run it in debugger and see
> if I can gather useful info.

All of this requires macOS specific debugging. I've added Alan in Cc, he
has fixed some macOS specific crashes. Perhaps, he has an idea.

> Thanks,
> Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 8 Sep 2021 21:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 17:12:49 2021
Received: from localhost ([127.0.0.1]:33680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mO4sC-0001uZ-Q9
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 17:12:49 -0400
Received: from mail-il1-f171.google.com ([209.85.166.171]:46742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mO4s7-0001uJ-U7
 for 50205 <at> debbugs.gnu.org; Wed, 08 Sep 2021 17:12:47 -0400
Received: by mail-il1-f171.google.com with SMTP id u17so3787766ilm.13
 for <50205 <at> debbugs.gnu.org>; Wed, 08 Sep 2021 14:12:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=H6x40jqW2DHC+xVKcxpsCSDnsShrt934TGjF1pL8Co8=;
 b=CenMd0dwush+vzYu30wwd9tKAEb36EpbAkGfu3Hsxr0PrYX9XLq8GqQpj6e1APSIdL
 BGE9beEPzlbugt26J0HB+8LRBjiD2TlmKUx2IXqvHJj7DwaYf6YL6o3TbQaWAYLnNeWs
 z4+WT/+6YPnv1kOdrxVV1SqtU3uLrctG19QC9RNwQ/k4Ov2jR4pSw53KwrSHOG9nI8co
 /2ROyBVNHjWXpcfOocZCdNRcqdWkXC95C1jDpzokefEGU0ZHuc5nTVx4h0LDZZjFMYNy
 ZouwDar1GrER592d2JSMHVS4oY27XICJ4tPk6j5XxlSAvJw6iMOwjLv4P2Ko81NUcF5y
 NYYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=H6x40jqW2DHC+xVKcxpsCSDnsShrt934TGjF1pL8Co8=;
 b=OvkQtwrFY5x8baYNM1ssXTCr4np6zPXPPHC00h/mglHW+XzhwDMcrwEVUtt8Z+kdN9
 UGGrsJC9UXSlYwf1hUTOS50w7dgFUjT5N1SfMJ63cpVtxPF8rytMfEt5EaHViiHmQzNa
 Wm4oYBSe+R8F9zqLdQb4xZwRsPXSr7EMz9qpbZAZQ13N913ygSnOV1yw7cb4BoouAhS4
 L33KZs5Hm7tFZSyljO5Ki62wSK6npkgCbz1VtsSeZsfWoPtg5zNvJkHFFinzOPMDQJM2
 IU8vLFW8wZASGXgQT20EV8Hrr0kY+i/m7tMQJD2Vtc6aSS5qOlFMrWIIfhH/3kpsbK5g
 qF7g==
X-Gm-Message-State: AOAM531cK6BS/NESx8FmlaYENZq7EgspTfzfy6vO6JgN3XBT+hqiy7c7
 gWyW7dmh+qiS8YRl1T4EmT9u1bCHpPvg8BgquAc=
X-Google-Smtp-Source: ABdhPJws5KdB7lSLkxFmGqty4ySoQXgCb6O+wckor1KknwTJkiIykoYPzYZ4guWzepnWNPOl/ERR6EOyAOWk437zffs=
X-Received: by 2002:a92:190b:: with SMTP id 11mr185198ilz.303.1631135558263;
 Wed, 08 Sep 2021 14:12:38 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 <874kb06cql.fsf@HIDDEN>
In-Reply-To: <874kb06cql.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Wed, 8 Sep 2021 14:12:27 -0700
Message-ID: <CAGaWTtAW0ajRx4GzUt3QPOR2Vqayn3FGPJaYhCb1F=h_0mBEfw@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000087e82a05cb82575f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000087e82a05cb82575f
Content-Type: text/plain; charset="UTF-8"

Hi Michael,

Sorry, it took me some time to get back to you. I asked one of my
colleagues to try it on her MAC.
We installed emacs 27.2 on that MAC first and then tramp 2.5.1, verified
that tramp 2.5.1 is loaded
with M-x tramp-version and then we could easily reproduce the issue.

I also suspect that it is related to tramp on MAC. I had been using emacs
and tramp for a few years
without trouble and I think the issues started last year. I don't remember
if it was after I upgraded my
MAC to the latest version at that time.

What I noticed is that, occasionally, sometimes within an hour and
sometimes after a couple of days, emacs
crashes. I tried upgrading MAC OS, emacs, tramp and nothing helped. Then I
tried to narrow it down
so I could consistently reproduce it.

Switching to the built-in 2.4.5.27.2 helped, i.e. reduced the frequency of
crashes significantly and also I
don't see the issue with the specific file that I could reproduce the issue
with consistently. However, I still see
emacs crashing occasionally. I am trying to run it in debugger and see if I
can gather useful info.

Thanks,
Mani











On Sat, Sep 4, 2021 at 12:06 AM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Mani Kancherla <kancherla.mani@HIDDEN> writes:
>
> > Hi Michael,
>
> Hi Mani,
>
> > I followed the steps and could successfully compile using "M-x
> > tramp-recompile-elpa" and restart emacs after that (without -L ~
> > /.emacs.d/elpa/tramp-2.5.1.1 -l tramp). I verified that it is running
> > tramp version 2.5.1.1 with M-x tramp-version.
>
> Good.
>
> > I still see the problem with this. I open that specific problematic
> > file and split the window, it hangs.
>
> Just to be sure, I reran your test, again. No problem.
>
> You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
> makes the difference, and we see an error of Emacs' thread
> implementation on macOS.
>
> It would be helpful, if somebody else could run your test on macOS,
> using the Tramp ELPA package, for verification.
>
> > Thanks,
> > Mani
>
> Best regards, Michael.
>

--00000000000087e82a05cb82575f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Michael,<br><div><br></div><div>Sorry, it took me some =
time to get back to you. I asked one of my colleagues to try it on her MAC.=
</div><div>We installed emacs 27.2 on that MAC first and then tramp 2.5.1, =
verified that tramp 2.5.1 is loaded</div><div>with M-x tramp-version and th=
en we could easily reproduce the issue.</div><div><br></div><div>I also sus=
pect that it is related to tramp on MAC. I had been using emacs and tramp f=
or a few years</div><div>without trouble and I think the issues started las=
t year. I don&#39;t remember if it was after I upgraded my</div><div>MAC to=
 the latest version at that time.</div><div><br></div><div>What I noticed i=
s that, occasionally, sometimes within an hour and sometimes after a couple=
 of days, emacs</div><div>crashes. I tried upgrading MAC OS, emacs, tramp a=
nd nothing helped. Then I tried to narrow it down</div><div>so I could cons=
istently reproduce it.</div><div><br></div><div>Switching to the built-in 2=
.4.5.27.2 helped, i.e. reduced the frequency of crashes significantly and a=
lso I</div><div>don&#39;t see the issue with the specific file that I could=
 reproduce the issue with consistently. However, I still see</div><div>emac=
s crashing occasionally. I am trying to run it in debugger and see if I can=
 gather=C2=A0useful info.</div><div><br></div><div>Thanks,</div><div>Mani</=
div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></=
div><div><br></div><div><br></div><div><br></div><div><br></div><div><br></=
div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_at=
tr">On Sat, Sep 4, 2021 at 12:06 AM Michael Albinus &lt;<a href=3D"mailto:m=
ichael.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">Mani Kancherla &lt;<a href=3D"=
mailto:kancherla.mani@HIDDEN" target=3D"_blank">kancherla.mani@HIDDEN=
</a>&gt; writes:<br>
<br>
&gt; Hi Michael,<br>
<br>
Hi Mani,<br>
<br>
&gt; I followed the steps and could successfully compile using &quot;M-x<br=
>
&gt; tramp-recompile-elpa&quot; and restart emacs after that (without -L ~<=
br>
&gt; /.emacs.d/elpa/tramp-2.5.1.1 -l tramp). I verified that it is running<=
br>
&gt; tramp version 2.5.1.1 with M-x tramp-version.<br>
<br>
Good.<br>
<br>
&gt; I still see the problem with this. I open that specific problematic<br=
>
&gt; file and split the window, it hangs.<br>
<br>
Just to be sure, I reran your test, again. No problem.<br>
<br>
You said that you&#39;re on macOS, while I&#39;m using GNU/Linux. Perhaps t=
his<br>
makes the difference, and we see an error of Emacs&#39; thread<br>
implementation on macOS.<br>
<br>
It would be helpful, if somebody else could run your test on macOS,<br>
using the Tramp ELPA package, for verification.<br>
<br>
&gt; Thanks,<br>
&gt; Mani<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--00000000000087e82a05cb82575f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 4 Sep 2021 07:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 03:06:53 2021
Received: from localhost ([127.0.0.1]:46331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMPlN-0008IA-Jt
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:06:53 -0400
Received: from mout.gmx.net ([212.227.15.15]:34399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mMPlL-0008Hp-Du
 for 50205 <at> debbugs.gnu.org; Sat, 04 Sep 2021 03:06:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630739204;
 bh=DhkPCECSCUVMxK3JeoB91aBJiquBIOhNOmjXxXqfJsQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=WSoNbr0UN8ekC8ElQlQDTLn1skrvgrVx+VDtrQhMnNGl+BEu+CF1NicsC6XNUVSpg
 G3vR41j0hTSvwil0w8wP8rvLWBuYrICJWdwRYyYEMHofNb8cNkyWaIrJ5H5N4vvoJB
 g6aTncvFJPBq4fE+PD4PXQlAZQkd2aeOwgv6eyfk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.119.24]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MowGa-1mlJOs262w-00qQXR; Sat, 04
 Sep 2021 09:06:44 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
 <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
Date: Sat, 04 Sep 2021 09:06:42 +0200
In-Reply-To: <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
 (Mani Kancherla's message of "Fri, 3 Sep 2021 09:44:36 -0700")
Message-ID: <874kb06cql.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Hqr5w6pWekZnxjGzeQRsRX9E6zpFqRTSbfIop1Tc1+eoyd9zolF
 E+/9IW2q3dOzIvPrpJBxu1xuhhhRN/RWPa46wclqp9DAtu3XoHVYSQECwpgBqcZzpQLYwzo
 SxEScltDE+cbkrY7x0wHFkGpLT27V3N9rQ9W/3pYnAjoZ1RLIpUE7FumMvj93I9G3meCwVD
 /a8rqnuwfzI20bRtBUbuw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PWA1o4di4ww=:pA6JRK9BKC8Q+gH8J+cI0Q
 OHQiW7wGX714cad0APFFq8aLONC16B50iGFDfOMRyrb3iPd/phuAbGTD5VFpGVvno2+wvQnNO
 K1PAW0vtUje0pcOMO19RA+ZqkBnF9bn3AbZ771efT59O3V3OvDV7d6toFgvq3WlIsjXQ4aEO+
 PTBSVa688Z9eo3ihgPb2gYq24uxcXnkycdLX+MoIUphr+VMDs1fciWYmJ1CDWUMG08HNgHr/Z
 m8/0XnzQB8OYDnNNKg+wauive/T3kyfp8ZC2DMmTTHWCR/Xyf8m2uN0UVZCfXDbtWLnyffWnl
 QvvcLkBJVqfuTeYfHjX7o8jWs+JDTRS8paMR3dSsGpDHcs2TmFsKBxyjWlfJ+R/QU/lXWoVW8
 SQJsMQM7xP73EY8bZxrWxPUo2YO7KdvG0zcBQNIdkaJDHseNMED2ihlI5hZUZmhplTF41oY8B
 1BUrVBognbVJy0XP67PitKC4x1ytDsZLcTRr/r+zHe5wd94Pr7KgaXWsZoe3Hq62DtH2JBgQt
 zTzQAnQFtDlLLgQWdEgCIFtuYTZfbEybclqEQDE58QvMorAxckLTricwsAegyE6bCrkIm70Fq
 ltbejVrOtDA3rf3Tu+dDGF5sVcQpRgBSdLezbmNmrA19syxvxIl6Ub+izPUIssk+TotjfjOoT
 u+SaQXUIvU0lE2DIyGrr8eNDrMFCGfVg4IvGaZxDCL1Zbxu8563rCjtwBr1g+zTjfPYQ0peYQ
 y3zv9KddMJEG+wk7+aohZXETSZ9YkNKhs5S54NktK4qr45yh7mOfVlAoQMWRTO1Tx9/X4PeXt
 2uJDd6qtiA9rA5DAcmYDeutBdcgSI+KDW7nab+83FEDW6FrL5iF+ejkhE9RzmfrETNiLwiPbc
 1sp4b2vOM62usT2tg2zhN4W7dPiXCfCwc1FldIgsvs2g23v51u2VxH+MfWPDe/msjdH89306z
 1fDHrk+JJZGBHCK2CcSur2Nxj9GtTFgZn+PUtW9d8TJm1PeI9p9W2jxdzXkymOa4kz06Dvon/
 Y9d3NuJrwBC1EKsNf/o9PC0wrJZUMHGSSYS8ifA/PA/O1y8uhxQ79fnM2BfqZOAm4bl0b6xXj
 MgLwsWeHBa/o9oxb3FSsymCuC22Y30BQzbWo4g3/jO/EhzY+haAj+B1iA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

> Hi Michael,

Hi Mani,

> I followed the steps and could successfully compile using "M-x
> tramp-recompile-elpa" and restart emacs after that (without -L ~
> /.emacs.d/elpa/tramp-2.5.1.1 -l tramp). I verified that it is running
> tramp version 2.5.1.1 with M-x tramp-version.

Good.

> I still see the problem with this. I open that specific problematic
> file and split the window, it hangs.

Just to be sure, I reran your test, again. No problem.

You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
makes the difference, and we see an error of Emacs' thread
implementation on macOS.

It would be helpful, if somebody else could run your test on macOS,
using the Tramp ELPA package, for verification.

> Thanks,
> Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 3 Sep 2021 16:44:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 12:44:57 2021
Received: from localhost ([127.0.0.1]:45836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMCJF-0000pm-AH
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:44:57 -0400
Received: from mail-io1-f47.google.com ([209.85.166.47]:34407)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mMCJD-0000pW-Pi
 for 50205 <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:44:56 -0400
Received: by mail-io1-f47.google.com with SMTP id y18so7533797ioc.1
 for <50205 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 09:44:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=TxMk2ReXoPE42/C7K8/LF6Jl1tZj3rHgKCV4U1TIz30=;
 b=pYqcdyVYivkBy1pFSiNgVzkKt39YD/OznRbROPdTp1+MffaVwJ7H7OagTFgVZs8paK
 ngeBU+d9GhDKY1gcn4hMWEQeODH/d0BohUNjXFyG22bNyYCmCxuHxWC/ZFhWd1UMp7ou
 ebEFSk+kiC3NyteCeqYnyqu6RNz282C1GH7SHSGxzhFKcDNQk4pYpcqWkhENelvWM/2f
 rz+6qLLJnt1Aem7uVvfy4snpvc2Mrg6Q55pZ8ZLKVbLKL20IaiH5GNKjQybde8WN+x2M
 GYqaCY82HuI5rO6bG38EJc88hMZnHhu6IoJC/I5YT4JT3JfWIJT2HIY2emHbRMw0xXN8
 AYcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=TxMk2ReXoPE42/C7K8/LF6Jl1tZj3rHgKCV4U1TIz30=;
 b=mNvl22YY1rfRfpy49+B5VY8kN+CfyOFRmTEHe2MgTVuEQgR6/lkBnv1Sfqfjyunm7o
 Js+f8y/KeN8Yh1wdPTN/YqMdaq+UT10YRkrmnNVJYei6aaBOnr5JqwCYkGwb+B2bWcrc
 50Jjcfst6yxHKot05vyxZoT2pP6E4meq4D4juKPejVvaCEkFH1sZZG3SYoxdQ1lm746N
 Rilh3wxtrmEqmCsVOZDjHRPlJIuKRzZOQZSkwX6oRo1ho6NNpB+EPIhx2+pUo2cRLMl7
 xTUscN8A00xDUREbm6D4NFiwZbls+eULjLgeeSy/u/b+QROn91Sr6qMsGW9QzBBZ9GQh
 z1dQ==
X-Gm-Message-State: AOAM531k+pNyxvA/xa9k+/1O109Yo1/SLhTyr/4wpotc0CufKj4jxd20
 kti+k56QleJWxjyZP/xWURx2BoYeVIqqY/Gv0ko=
X-Google-Smtp-Source: ABdhPJw2MwWoT3PjakZXZA8CPCEWgXLfcpTXh8dNarAnMY0r2xRRkkCxEuC+G84mfXvFtsntQvf15BF9PH6qGKI0UwU=
X-Received: by 2002:a02:374f:: with SMTP id r76mr580jar.24.1630687487992; Fri,
 03 Sep 2021 09:44:47 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
 <87mtov5tnr.fsf@HIDDEN>
In-Reply-To: <87mtov5tnr.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Fri, 3 Sep 2021 09:44:36 -0700
Message-ID: <CAGaWTtAjhwkgm80aVinAbYX1n3=UmhtHoxcL=3Je9okUS60Rpw@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000076285405cb1a045b"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000076285405cb1a045b
Content-Type: text/plain; charset="UTF-8"

Hi Michael,

I followed the steps and could successfully compile using "M-x
tramp-recompile-elpa" and restart emacs after that (without -L
~/.emacs.d/elpa/tramp-2.5.1.1 -l tramp). I verified that it is running
tramp version 2.5.1.1 with M-x tramp-version. I still see the problem with
this. I open that specific problematic file and split the window, it hangs.

Thanks,
Mani

On Thu, Sep 2, 2021 at 12:22 AM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Mani Kancherla <kancherla.mani@HIDDEN> writes:
>
> > Hi Michael,
>
> Hi Mani,
>
> > Looks like the workaround for the installation issue is to run "M-x
> > tramp-recompile-elpa", but it complains there is no such command. So,
> > I just opened ~/.emacs.d/elpa/tramp-2.5.1.1/tramp.el in emacs and from
> > the menu selected Emacs-Lisp> Byte-Compile This File. I am not sure if
> > it does the same thing. After that I restarted emacs and M-x
> > tramp-version shows 2.5.1.1. With this, I still see the problem (still
> > hangs or crashes).
>
> Byte-compiling tramp*.el files is right, but the problem is that Emacs
> should not have loaded the built-in Tramp already. Tramp comes with the
> file tramp-compat.el, which offers defsubsts and defmacros different for
> Emacs versions. If Tramp is loaded already when byte-compiling, the
> loaded version of tramp-compat.el would be used.
>
> A recipe to cure this in your environment would be:
>
> 1. Remove all byte-compiled Tramp files.
>
> # rm -f ~/.emacs.d/elpa/tramp-2.5.1.1/tramp*.elc
>
> 2. Start Emacs with Tramp's source files
>
> # emacs -L ~/.emacs.d/elpa/tramp-2.5.1.1 -l tramp
>
> This should not give you the error.
>
> 3. Recompile Tramp ELPA package *with this running Emacs instance*
>
> M-x tramp-recompile-elpa
>
> Now everything shall be fine, and if you start Emacs again, using the
> Tramp ELPA package, there shouldn't be the error.
>
> > Thanks,
> > Mani
>
> Best regards, Michael.
>

--00000000000076285405cb1a045b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi=C2=A0Michael,<div><br></div><div>I followed the steps a=
nd could successfully compile using &quot;M-x tramp-recompile-elpa&quot; an=
d restart emacs after that (without -L ~/.emacs.d/elpa/tramp-2.5.1.1 -l tra=
mp). I verified that it is running tramp version 2.5.1.1 with M-x tramp-ver=
sion. I still see the problem with this. I open that specific problematic f=
ile and split the window, it hangs.</div><div><br></div><div>Thanks,</div><=
div>Mani</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Thu, Sep 2, 2021 at 12:22 AM Michael Albinus &lt;<a href=
=3D"mailto:michael.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex">Mani Kancherla &lt=
;<a href=3D"mailto:kancherla.mani@HIDDEN" target=3D"_blank">kancherla.ma=
ni@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Hi Michael,<br>
<br>
Hi Mani,<br>
<br>
&gt; Looks like the workaround for the installation issue is to run &quot;M=
-x<br>
&gt; tramp-recompile-elpa&quot;, but it complains there is no such command.=
 So,<br>
&gt; I just opened ~/.emacs.d/elpa/tramp-2.5.1.1/tramp.el in emacs and from=
<br>
&gt; the menu selected Emacs-Lisp&gt; Byte-Compile This File. I am not sure=
 if<br>
&gt; it does the same thing. After that I restarted emacs and M-x<br>
&gt; tramp-version shows 2.5.1.1. With this, I still see the problem (still=
<br>
&gt; hangs or crashes).<br>
<br>
Byte-compiling tramp*.el files is right, but the problem is that Emacs<br>
should not have loaded the built-in Tramp already. Tramp comes with the<br>
file tramp-compat.el, which offers defsubsts and defmacros different for<br=
>
Emacs versions. If Tramp is loaded already when byte-compiling, the<br>
loaded version of tramp-compat.el would be used.<br>
<br>
A recipe to cure this in your environment would be:<br>
<br>
1. Remove all byte-compiled Tramp files.<br>
<br>
# rm -f ~/.emacs.d/elpa/tramp-2.5.1.1/tramp*.elc<br>
<br>
2. Start Emacs with Tramp&#39;s source files<br>
<br>
# emacs -L ~/.emacs.d/elpa/tramp-2.5.1.1 -l tramp<br>
<br>
This should not give you the error.<br>
<br>
3. Recompile Tramp ELPA package *with this running Emacs instance*<br>
<br>
M-x tramp-recompile-elpa<br>
<br>
Now everything shall be fine, and if you start Emacs again, using the<br>
Tramp ELPA package, there shouldn&#39;t be the error.<br>
<br>
&gt; Thanks,<br>
&gt; Mani<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--00000000000076285405cb1a045b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 2 Sep 2021 07:22:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 03:22:10 2021
Received: from localhost ([127.0.0.1]:39533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLh34-0005Pv-6g
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 03:22:10 -0400
Received: from mout.gmx.net ([212.227.17.22]:58399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mLh32-0005PW-S3
 for 50205 <at> debbugs.gnu.org; Thu, 02 Sep 2021 03:22:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630567322;
 bh=rvYvTjpB0NatWUr2QrIcfIwxf4mCtr4lhraQNawoXYE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date;
 b=dSTJo9DXSfcflHN956t4BOkwsanJdHwIS1zb7sgQykk9a48T33Iicx7L3KjDDdNl9
 EWw0Lh5cAZSRCgckpFO0iR/aomySh7Mf8nLh5XYlAegnWcdNGoBzK/IegMk7IQz7Mz
 xv/I4tGCmNjvWvELsw79sZfTdhTxz5xwvSuGv9ws=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.119.24]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MOiDX-1mcvLS2uAZ-00QCjt; Thu, 02
 Sep 2021 09:22:01 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
 <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
Date: Thu, 02 Sep 2021 09:22:00 +0200
Message-ID: <87mtov5tnr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:UwiiN6z1+5Aslpmn1Xj85+wNHT0OqDfGvZ+4bzvtLhNlzqwnP2i
 A2GA/qzgMSkhbXE23Qc+xfBpd/LBX66io6XEszJPbW0IBO2KCwg0oQsctxoTLErJBS8Ra4E
 A4JPtTCum/Y8dZusQIHgcf1sW1prZ6w1wlLQeWpyOmro54A+LedA5pjCx6ImfQu+8QodZA1
 XV+L1HMwUq45P5n5gfl+Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+YScyC72PB8=:1VYmYcubj35Hr1bJPAo/aS
 82c5U31gcGbazbztuxV604fz/IgL/oQ90RsO7zu5Jn08H4v0fYHydew25R6HdzNigLokFaEsN
 3WFKSVAmM8lSV4ea2qgFPh7tnjisum81N1YqKUhPX2tA8Uhx9CCqQnx4AKg85ZIDQDx7sLLwi
 2s/3Ya5thdVpudfwcFpvanZi5j/VtBWYTYJmX3f6IEXtuMhMF+jO78tqSrMX44zuSIIUJJGdg
 1rHaBiHAICeYI6d/jqZgCdWawFxN2qsBMzumfCrBh5pUByatia7wyHJTp+zttRDRFtkMtJ4pP
 8OExXJ5I+BzE3502L+yNtznGuiqWEl0qcB+K1Gl5PFf34VUsOWVwhprUV7hFd896iYmneFKC3
 YkGl0/ud7gGoZx+9pwWCkdv+wKBwC2Aqx5NeAmm2IRwYjmmQSvy4H0FKwqTt23vAxFOxVK7P4
 o1Qw9Vkmkv7PgUo+bO0k/xEYOi10Cqy2IR5RCZjiqIBAazKhJG8u+QTFlbRTxqMNOPssdam4/
 k9ajNYylqwVBDM6N69kbDkKkka4XucRC/jTxb99AGlI4nDX6YmZOGil34esrojKlGCzHSy/20
 3HVyIJqMcn0I2f7N2Rysr/MMhfhdtws7OFPczA0AmqZaaov4qKk9sOt3xZ7i5LTxrCOcG4VGI
 GMDBtODxejfa6NHhhXtHNjR2EKRkKK9hJnicaB7xDKOR0JqaMDlZ9SkvzgYXRf71hDa6jW2Ou
 QOYXtrX/H5SwcCdGLPXHRZ/VJRpUaKRgpBsKspbfciMEAa/u17Y/mjYEv8EDpjXeiEaGzz+De
 iNdV5gRYxpLauXHXuUmQtg6iR3ukr5Iqouwvd+6dDIfvNWd4eNt/VYF1hD/PugNA02t/4nAcR
 osEv6GvncCrU7gSDMjwNilcHxmSk5a8WKZRyw5nzB0ShRinFs82f3nUtJnoldhewq+XnANxSo
 cw/fSYBNZc8WdCzMmt2O2G3d5qQ/Pc+rYBq5Z2eeCg2W41YnHC6lSOdBPcxKvoSIoziK9S3lH
 UwJfvJbP1gMSrPm5CQPRp+nAwwWssZrpk7UXg9abiCsnmZtrTv3zk9Eiquo0jpmHfze+ufK9V
 BH89mqT0InOm3YnMOstpwpPNGf4AZu5N91k63KMbz+jjHHGhipyXq3aMg==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

> Hi Michael,

Hi Mani,

> Looks like the workaround for the installation issue is to run "M-x
> tramp-recompile-elpa", but it complains there is no such command. So,
> I just opened ~/.emacs.d/elpa/tramp-2.5.1.1/tramp.el in emacs and from
> the menu selected Emacs-Lisp> Byte-Compile This File. I am not sure if
> it does the same thing. After that I restarted emacs and M-x
> tramp-version shows 2.5.1.1. With this, I still see the problem (still
> hangs or crashes).

Byte-compiling tramp*.el files is right, but the problem is that Emacs
should not have loaded the built-in Tramp already. Tramp comes with the
file tramp-compat.el, which offers defsubsts and defmacros different for
Emacs versions. If Tramp is loaded already when byte-compiling, the
loaded version of tramp-compat.el would be used.

A recipe to cure this in your environment would be:

1. Remove all byte-compiled Tramp files.

# rm -f ~/.emacs.d/elpa/tramp-2.5.1.1/tramp*.elc

2. Start Emacs with Tramp's source files

# emacs -L ~/.emacs.d/elpa/tramp-2.5.1.1 -l tramp

This should not give you the error.

3. Recompile Tramp ELPA package *with this running Emacs instance*

M-x tramp-recompile-elpa

Now everything shall be fine, and if you start Emacs again, using the
Tramp ELPA package, there shouldn't be the error.

> Thanks,
> Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 30 Aug 2021 20:51:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 16:51:00 2021
Received: from localhost ([127.0.0.1]:60461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKoF9-0005BJ-L7
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 16:51:00 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:40677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mKoF7-0005B3-5D
 for 50205 <at> debbugs.gnu.org; Mon, 30 Aug 2021 16:50:58 -0400
Received: by mail-io1-f45.google.com with SMTP id z1so21789729ioh.7
 for <50205 <at> debbugs.gnu.org>; Mon, 30 Aug 2021 13:50:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3CdBj0teh8l0wBPdjU8qtLWQriPCjCC3obWJtdOO2qY=;
 b=KbqBUAH81arV49HnIYld1ZGifymVwyA7VPMEcBi0gphRNlVID9ojIbfBjrFnBa8/Op
 8KeRp1cCYACzfvAQaCSQ2avjxbQblmKzPzshS6qlRCssNMZ9mkZpVmxmXhgZHXPFgbeS
 9fyU55doJzpiN5c9hrMdBBCv6KKHVgqdzyjWh4G3SyjaqgcBdpNMHWaMgGZ/rujJmF1h
 mmA4iTqyuDud4whSJiHXHo/YzgdNb9utrAe4BRQ6X7vZZjNOuawLTgcPFUYedXyxSizK
 N/BmRlBX7rNmEnexwZoks15moAqMTL3zPnaug2LGY5AtTCamypFRNlCKKqXJEbkgwMMg
 oZ3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3CdBj0teh8l0wBPdjU8qtLWQriPCjCC3obWJtdOO2qY=;
 b=ewqJBjPZmeDIX5Wd4m9ShOXUIypbDm9kZb9FjlnyNfHUAuGvDvNuhmFPEuiZHt6R/0
 QCoxLlHHpkXsTd7lk3mCbuBQqcQ8TeAR0MyQ8zS/BHyHUDGJd7fWutT7DedV8ETNBnmp
 +3tEUqGeLjndAZwTl+YkfJBa/lBbJIBhcmBRocq0+Wu8p25dXnd6e6GDavRYTrXshi23
 aa8BIuHp2ihj9T+bXGfdQfHp+TazvNLnGlwZdSNmL3sFiR0iz7BiJ/TrY7tEP9IaCEW5
 sBSs8cVaeUa8FYIChrm/10RTBisyBmvcrUIaAVvu2n2aewgI9EmJUH/hFPnQ4am9wIfq
 h8mA==
X-Gm-Message-State: AOAM532ghCn80wVrC0Y7LGIYjSjw+PG+KtnTlzz7DaEVdxVzdCDH16Ye
 Lz0A4AsxgRO6SijedZYKMdcTc7g2t8cql2CkzP4=
X-Google-Smtp-Source: ABdhPJx8E7eYoyESloV4fiViGW3iBmSxs0dL42Fzo0F0og+Mf4tBebDax+XTWa3E9JdEsdJwDC8tU3bTj0prP3uIy6s=
X-Received: by 2002:a05:6638:521:: with SMTP id
 j1mr285445jar.122.1630356651260; 
 Mon, 30 Aug 2021 13:50:51 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 <874kb890kj.fsf@HIDDEN>
In-Reply-To: <874kb890kj.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Mon, 30 Aug 2021 13:50:40 -0700
Message-ID: <CAGaWTtD3U4h4kb9OcXR1Qycah7PQ_qGQB_c0jTkX=tUXPffVZw@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000000e3c6605caccfde3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000000e3c6605caccfde3
Content-Type: text/plain; charset="UTF-8"

Hi Michael,

Looks like the workaround for the installation issue is to run "M-x
tramp-recompile-elpa", but it complains there is no such command. So, I
just opened ~/.emacs.d/elpa/tramp-2.5.1.1/tramp.el in emacs and from the
menu selected Emacs-Lisp> Byte-Compile This File. I am not sure if it does
the same thing. After that I restarted emacs and M-x tramp-version shows
2.5.1.1. With this, I still see the problem (still hangs or crashes).

Thanks,
Mani

On Sun, Aug 29, 2021 at 12:23 AM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Mani Kancherla <kancherla.mani@HIDDEN> writes:
>
> > Hi Michael,
>
> Hi Mani,
>
> > I had tried multiple versions of tramp. I checked my elpa/ and saw I
> > had tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/
> > folder to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now
> > tried installing the latest tramp via emacs menu Options>Manage Emacs
> > Packages> and then selecting tramp 2.5.1.1 from there and clicking
> > install. It gives me an error, please see below.
>
> This is bug#48015, unfortunately. See ~/.emacs.d/elpa/tramp-2.5.1.1/README
> for instructions how to circumvent this.
>
> > Mani
>
> Best regards, Michael.
>

--0000000000000e3c6605caccfde3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi=C2=A0Michael,<div><br></div><div>Looks like the workaro=
und for the installation issue is to run &quot;M-x tramp-recompile-elpa&quo=
t;, but it complains there is no such command. So, I just opened ~/.emacs.d=
/elpa/tramp-2.5.1.1/tramp.el in emacs and from the menu selected Emacs-Lisp=
&gt; Byte-Compile This File. I am not sure if it does the same thing. After=
 that I restarted emacs and M-x tramp-version shows 2.5.1.1. With this, I s=
till see the problem (still hangs or crashes).</div><div><br></div><div>Tha=
nks,</div><div>Mani</div></div><br><div class=3D"gmail_quote"><div dir=3D"l=
tr" class=3D"gmail_attr">On Sun, Aug 29, 2021 at 12:23 AM Michael Albinus &=
lt;<a href=3D"mailto:michael.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt;=
 wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px =
0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Mani Kan=
cherla &lt;<a href=3D"mailto:kancherla.mani@HIDDEN" target=3D"_blank">ka=
ncherla.mani@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Hi Michael,<br>
<br>
Hi Mani,<br>
<br>
&gt; I had tried multiple versions of tramp. I checked my elpa/ and saw I<b=
r>
&gt; had tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/=
<br>
&gt; folder to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now<br>
&gt; tried installing the latest tramp via emacs menu Options&gt;Manage Ema=
cs<br>
&gt; Packages&gt; and then selecting tramp 2.5.1.1 from there and clicking<=
br>
&gt; install. It gives me an error, please see below.<br>
<br>
This is bug#48015, unfortunately. See ~/.emacs.d/elpa/tramp-2.5.1.1/README<=
br>
for instructions how to circumvent this.<br>
<br>
&gt; Mani<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--0000000000000e3c6605caccfde3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 29 Aug 2021 07:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 29 03:23:18 2021
Received: from localhost ([127.0.0.1]:55457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKF9y-0001XU-58
	for submit <at> debbugs.gnu.org; Sun, 29 Aug 2021 03:23:18 -0400
Received: from mout.gmx.net ([212.227.15.19]:43067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mKF9v-0001XF-Ui
 for 50205 <at> debbugs.gnu.org; Sun, 29 Aug 2021 03:23:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630221789;
 bh=TraoejBkf9YDk2MlAx57g/zrohKXEM/x42083rMTOZ4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=f9Uios01eGfp0obSGS8eG7rfNRvy7mpJ8DdI5nL+eIZZFVG/iY9iko7k8xyeaqbom
 yRDPWZUCWmWP69WVyP6p2LirvJ5YCpyGE04MLeFtdPxF6LzFFMtuiHwh8wHOC42PcJ
 BUxekG64qGksOf8ZIjF6nn0Os0ik7BDIcgKqMX9s=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.112.160]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MVvPD-1mTteq27xF-00RqqA; Sun, 29
 Aug 2021 09:23:09 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
 <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
Date: Sun, 29 Aug 2021 09:23:08 +0200
In-Reply-To: <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
 (Mani Kancherla's message of "Sat, 28 Aug 2021 14:26:41 -0700")
Message-ID: <874kb890kj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:kAVInoREeMRJ3Tndz0VDePRi4YpbXCq+RIx9bMC0hIEEiIrqv+H
 qhkw9ai63iVn1vOF+vuIuL+qEUsRTJge33sw2B7a/EX6CzldV7MS0rnx1F/cscz7qp1VOht
 kL9CQUxvjUHk5rdXw3cBOjKHeibC+3BkO/pqKEKXZc5l0GJ5N/LtmwIKz9bFQ7W7aPdiajr
 VJYndN72GTAwGFYtL1iwA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:AfaBWyJXVYg=:lkulLPPUcBkFsIHIl1Eb/I
 UwZZMd5A126Xq4XgQdskJCQSvmfdEHuMI93S1bnDRvQMgqhaVmUr6nBRal3wwldH35rNptPzd
 xXjLYDKGQRqeyLryZqIyyHWRzx2bsj9KnVUu9nv5hAD0Ju0cHmHSVoF3H788EjysbJqWskjoc
 ZtBQo7kLJV3A2EXelX+nVlcN3b1hESol1Ld+oBUdTlv6iZqpY1oOxMCDljWRKE2muazsEYO+M
 W60AUQoZNwq7vk3utW2iUff1Jbum4OCe7nr5J0O9Koj38gUFD/8k4HvFr7BOlC9X0vIlkfa95
 TGrck8H6H+lzh8+RZjSTqLRWeDQfIVe5NHmq6/wki0mivuC/WJz65dQirWcubEJRhIOblioRY
 m6TmeU5G7liYoQvhAoApcS7SZZR9szJ+CZBIC9qzcLC/7GMUgA+eotAGDzIfCMKIxbKMkurdN
 8VMR8U4OXCQfVFYrcQnZhqDQpaVZWFt6Y38SGZDI/cjpU/Vh80PD85/L2MbsoDbh0oZbbCrul
 uirHnKDbJmR0AwsXmvfRHZJ4Tv05Lqq01eYoikoXoy38HOyl0wMqgMIrOP6Ttd94FZ469CT6k
 mabUo+VC3X8bw9nYBoVCJ0sxk5VVvUAv9V2hgOsiZ/TKLQO8d5rL6RGqahHKIP0mkbG+228tT
 j+28/Pu3Wn3SBHeL//T9Y6VT39OR+ywAr6+Pu7oqKAMmgiEL4KvOoXdLlrcVTpltqId7BN+1n
 qotN4iQtkjYoKRXUsdEA8kAw6rJKLIUnzYFsdlRjG7RGfet+mX9WSqbpm/4aCyf+J9HfRlJRm
 uSWCU/URiYQYCOf62RzxwA7po0+Xuru5YFjFEaOK+jq6RvUwpLxqqDrrEqmLpHdCo3avRgY/l
 5YvogrRrW9TXeJs+r0rFY0Ahe+JN2Ns4fMHcna0/94Mxwav9psV8iQ/kW0ZNZmkhdk6GUwOmV
 sbYRa2q4aSo9yCXcbANh8GWbBaYzolsNwtSbzfRoCQzRAigGYZyZWCTU5W5liGlSZZ/OsnPHn
 8iAGIaBbgKnIXtI4qBUhwOMnz6xCzKXjPGAqOIweg+3AGZo7MIpCCoeNl3AP2kLnU375cAfDY
 2KcSSoFNsMso3E3c3Vf/0j42IJywUKoAmaIYZHpOXxtNDQgF6D5isZERw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

> Hi Michael,

Hi Mani,

> I had tried multiple versions of tramp. I checked my elpa/ and saw I
> had tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/
> folder to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now
> tried installing the latest tramp via emacs menu Options>Manage Emacs
> Packages> and then selecting tramp 2.5.1.1 from there and clicking
> install. It gives me an error, please see below.

This is bug#48015, unfortunately. See ~/.emacs.d/elpa/tramp-2.5.1.1/README
for instructions how to circumvent this.

> Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 28 Aug 2021 21:27:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 28 17:27:00 2021
Received: from localhost ([127.0.0.1]:55103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mK5qu-0000rs-12
	for submit <at> debbugs.gnu.org; Sat, 28 Aug 2021 17:27:00 -0400
Received: from mail-io1-f51.google.com ([209.85.166.51]:35494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mK5qr-0000re-VD
 for 50205 <at> debbugs.gnu.org; Sat, 28 Aug 2021 17:26:59 -0400
Received: by mail-io1-f51.google.com with SMTP id a15so13923964iot.2
 for <50205 <at> debbugs.gnu.org>; Sat, 28 Aug 2021 14:26:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=E8vjpj73sM2py3D7+yOPFxzWkiiPnaHJDnrSxc1+L70=;
 b=bqdgk26QWzwq8nIEUGH5ZpY3Dh490y6fAR+66ECqn+mi5IS7hK7kNhAT1XGsPgwv0O
 64auU9mAAvBDao7wfpO67z35OXenqeb+ycITusFg41J/i2XXzof5/qUeEcbJofJSBHgd
 g2ZM1iUwZSVOC8VdH7G7SBnTdw01AD1DE0E94LHeP4SgMdq+BB3akxPiipzlwtQl/e0g
 AawhKBtRtlGXRy75yQIclL5bLQYcgb9tmSmcltsXMFH1+MXnlykvwkzR1oofTG7XgApT
 ePHXLAfHeTovmOwpiGMcRofI+u8P+tYbhqKXp16uCvE3P2LRvIQcaP7t/n7Mhj6fzW9k
 zDRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=E8vjpj73sM2py3D7+yOPFxzWkiiPnaHJDnrSxc1+L70=;
 b=H4pNd5YIJ6rmjcqoW9Fwvgdm3OTAH/FeWvgU88Z3BkLcWKCcuWg8XeJI1dGAxO8rTS
 tYJDu0QpiYlu/mHwVi6OFp8dOWihts++Vylo65ZwVSDkWiu/CrdOfJOHsJathfikGA2+
 IEnv908rWc5GMIaRJ1QFLX7PgKorlZwhq8a0/bbdW/6X3yvWjvA8UJqZO7fS12IXgApR
 5DnCsdbvzEGeQQ7cqN72J6LASx0k/JaNWUgc0tmRPEvmOouTDaL7ROkWM4ONDqTvVmW1
 zJXz370N6RpL0At9zadR+zSY8kFCJSsW7PJ4/Ov9QbSZryqTuAXItLRDTUrp2C91JXps
 xnTA==
X-Gm-Message-State: AOAM531RX6qyzNQQQsAhq/0G3V/9jsjqeF4/c+GGifb24a/JP2WJa0Li
 mTa/g6UshcrVQ3lu9I6Me4EUld7V0XV+uh/WhJaKxE7sjHQtLg==
X-Google-Smtp-Source: ABdhPJwDYzAnMeGpAyV3k/t9mVVv21Ee3trw5yNk9qVb0eCnlEHw6p0LQlcrv6KvFPPuJy8IWnUJkaPMMG0nDgxuuOE=
X-Received: by 2002:a02:c7d2:: with SMTP id s18mr9942926jao.22.1630186012229; 
 Sat, 28 Aug 2021 14:26:52 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 <8735qu9ecq.fsf@HIDDEN>
In-Reply-To: <8735qu9ecq.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Sat, 28 Aug 2021 14:26:41 -0700
Message-ID: <CAGaWTtB0Rg8nt9P77gOvU-mJ9G=h0O2E_LrjszosBmHyaP3j+w@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002d42a005caa5421d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002d42a005caa5421d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Michael,

I had tried multiple versions of tramp. I checked my elpa/ and saw I had
tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/ folder
to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now tried
installing the latest tramp via emacs menu Options>Manage Emacs Packages>
and then selecting tramp 2.5.1.1 from there and clicking install. It gives
me an error, please see below. This is with "GNU Emacs 27.2 (build 1,
x86_64-apple-darwin18.7.0, NS appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2021-03-27".
Install package =E2=80=98tramp-2.5.1.1=E2=80=99? y

Contacting host: elpa.gnu.org:443
Parsing tar file...done
Extracting...done
  INFO     Scraping files for tramp-autoloads.el...
Generating autoloads for tramp-adb.el...done
Generating autoloads for tramp-archive.el...done
Generating autoloads for tramp-cache.el...done
Generating autoloads for tramp-cmds.el...done
Generating autoloads for tramp-compat.el...done
Generating autoloads for tramp-crypt.el...done
Generating autoloads for tramp-ftp.el...done
Generating autoloads for tramp-fuse.el...done
Generating autoloads for tramp-gvfs.el...done
Generating autoloads for tramp-integration.el...done
Generating autoloads for tramp-pkg.el...done
Generating autoloads for tramp-rclone.el...done
Generating autoloads for tramp-sh.el...done
Generating autoloads for tramp-smb.el...done
Generating autoloads for tramp-sshfs.el...done
Generating autoloads for tramp-sudoedit.el...done
Generating autoloads for tramp-uu.el...done
Generating autoloads for tramp.el...done
Generating autoloads for trampver.el...done
  INFO     Scraping files for tramp-autoloads.el...done
Wrote /Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-autoloads.el [2
times]
Error in package--load-files-for-activation: (void-function
tramp-register-crypt-file-name-handler)
tramp-register-file-name-handlers: Symbol=E2=80=99s function definition is =
void:
tramp-register-crypt-file-name-handler

Mani


On Sat, Aug 28, 2021 at 1:13 AM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Mani Kancherla <kancherla.mani@HIDDEN> writes:
>
> Hi Mani,
>
> > I just did one more quick test. I renamed .emacs.d/elpa where I only
> > have the newer version tramp to .emacs.d/elpa-bak. That seems to fix
> > the problem.
> > Mani
> >
> >     I verified that "emacs -Q" has no issues. I can reproduce the
> >     issue consistently without "-Q". Any information I can collect
> >     that will help debug the issue?
>
> Thanks for the feedback. I've tried to reproduce the problem with your
> test file and with both Emacs 28.0.50 and 27.2, and the recent Tramp
> 2.5.2-pre, with no success.
>
> Which Tramp version do you use? Check variable tramp-version.
>
> Has it been compiled for Emacs 27.2? You can check this in
> ~/.emacs.d/elpa/tramp-<version>/tramp.elc.
>
> Perhaps you deinstall the ELPA Tramp package, and reinstall it (2.5.1.1
> is the recent version, will be 2.5.1.2 next days). Does it behave
> better?
>
> >     Thanks,
> >     Mani
>
> Best regards, Michael.
>

--0000000000002d42a005caa5421d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Michael,<div><br></div><div>I had tried multiple versio=
ns of tramp. I checked my elpa/ and saw I had tried tramp 2.5.1 and 2.5.1.1=
 earlier. Now that I renamed my elpa/ folder to elpa-bak/, emacs is using t=
he built-in 2.4.5.27.2. I now tried installing the latest tramp via emacs m=
enu Options&gt;Manage Emacs Packages&gt; and then selecting tramp 2.5.1.1 f=
rom there and clicking install. It gives me an error,=C2=A0please see=C2=A0=
below. This is with &quot;GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.=
0, NS appkit-1671.60 Version 10.14.6 (Build 18G95)) of 2021-03-27&quot;.</d=
iv><div>Install package =E2=80=98tramp-2.5.1.1=E2=80=99? y<br><br></div><di=
v>Contacting host: <a href=3D"http://elpa.gnu.org:443">elpa.gnu.org:443</a>=
<br>Parsing tar file...done<br>Extracting...done<br>=C2=A0 INFO =C2=A0 =C2=
=A0 Scraping files for tramp-autoloads.el... <br>Generating autoloads for t=
ramp-adb.el...done<br>Generating autoloads for tramp-archive.el...done<br>G=
enerating autoloads for tramp-cache.el...done<br>Generating autoloads for t=
ramp-cmds.el...done<br>Generating autoloads for tramp-compat.el...done<br>G=
enerating autoloads for tramp-crypt.el...done<br>Generating autoloads for t=
ramp-ftp.el...done<br>Generating autoloads for tramp-fuse.el...done<br>Gene=
rating autoloads for tramp-gvfs.el...done<br>Generating autoloads for tramp=
-integration.el...done<br>Generating autoloads for tramp-pkg.el...done<br>G=
enerating autoloads for tramp-rclone.el...done<br>Generating autoloads for =
tramp-sh.el...done<br>Generating autoloads for tramp-smb.el...done<br>Gener=
ating autoloads for tramp-sshfs.el...done<br>Generating autoloads for tramp=
-sudoedit.el...done<br>Generating autoloads for tramp-uu.el...done<br>Gener=
ating autoloads for tramp.el...done<br>Generating autoloads for trampver.el=
...done<br>=C2=A0 INFO =C2=A0 =C2=A0 Scraping files for tramp-autoloads.el.=
..done<br>Wrote /Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-autoloa=
ds.el [2 times]<br>Error in package--load-files-for-activation: (void-funct=
ion tramp-register-crypt-file-name-handler)<br>tramp-register-file-name-han=
dlers: Symbol=E2=80=99s function definition is void: tramp-register-crypt-f=
ile-name-handler<br></div><div><br></div><div>Mani</div><div><br></div></di=
v><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On S=
at, Aug 28, 2021 at 1:13 AM Michael Albinus &lt;<a href=3D"mailto:michael.a=
lbinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px soli=
d rgb(204,204,204);padding-left:1ex">Mani Kancherla &lt;<a href=3D"mailto:k=
ancherla.mani@HIDDEN" target=3D"_blank">kancherla.mani@HIDDEN</a>&gt;=
 writes:<br>
<br>
Hi Mani,<br>
<br>
&gt; I just did one more quick test. I renamed .emacs.d/elpa where I only<b=
r>
&gt; have the newer version tramp to .emacs.d/elpa-bak. That seems to fix<b=
r>
&gt; the problem.<br>
&gt; Mani<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0I verified that &quot;emacs -Q&quot; has no issues.=
 I can reproduce the<br>
&gt;=C2=A0 =C2=A0 =C2=A0issue consistently without &quot;-Q&quot;. Any info=
rmation I can collect<br>
&gt;=C2=A0 =C2=A0 =C2=A0that will help debug the issue?<br>
<br>
Thanks for the feedback. I&#39;ve tried to reproduce the problem with your<=
br>
test file and with both Emacs 28.0.50 and 27.2, and the recent Tramp<br>
2.5.2-pre, with no success.<br>
<br>
Which Tramp version do you use? Check variable tramp-version.<br>
<br>
Has it been compiled for Emacs 27.2? You can check this in<br>
~/.emacs.d/elpa/tramp-&lt;version&gt;/tramp.elc.<br>
<br>
Perhaps you deinstall the ELPA Tramp package, and reinstall it (2.5.1.1<br>
is the recent version, will be 2.5.1.2 next days). Does it behave<br>
better?<br>
<br>
&gt;=C2=A0 =C2=A0 =C2=A0Thanks,<br>
&gt;=C2=A0 =C2=A0 =C2=A0Mani<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--0000000000002d42a005caa5421d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 28 Aug 2021 08:13:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 28 04:13:20 2021
Received: from localhost ([127.0.0.1]:53355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJtSq-00038E-7K
	for submit <at> debbugs.gnu.org; Sat, 28 Aug 2021 04:13:20 -0400
Received: from mout.gmx.net ([212.227.17.21]:60323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mJtSo-000380-Lq
 for 50205 <at> debbugs.gnu.org; Sat, 28 Aug 2021 04:13:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630138391;
 bh=EErt5OkXb2LLHr8iszKwvIvAz1kX5EENwu0Qy0oyE0s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=fRvjpUAbcuxSNNJwz7/9F0bv8ZLB2N3vtmJxkCX6MYRM2/GP77INfjapV0RFseavA
 z7Vc2I+SgXjOpq0rlgeFYd6G8jq59PCoaArFu28Dvri6vFWDDenyTd1Xc6BjjBbUoO
 IQCHWmc/9qz+nuVBEmE7Vo6WlDdQiQcEPiBQX//g=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([217.70.140.149]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MXp5Q-1mVsyZ24dA-00Y7aU; Sat, 28
 Aug 2021 10:13:11 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
 <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
Date: Sat, 28 Aug 2021 10:13:09 +0200
In-Reply-To: <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
 (Mani Kancherla's message of "Fri, 27 Aug 2021 14:14:34 -0700")
Message-ID: <8735qu9ecq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Zu2m83U9o/Z5XEOn20zHmYIHWd6GwaAIeVKw2cSGjoi2o5OKgp1
 oD/BFW0NH0wzDqpMCf2VF9yOD0ktcevwA98q8lUWNen32iTdVW6FsZ/bIxA5S10ME8V/Fs8
 cl3kNPbVeXf9fO2eZHMWKbqwwWGl7Je6Be3nsgtzZKLWRQruRHc+3D22zXVPKtSOUEUpjI7
 vPi86hTtsQIYKCuxVdbRA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Y5r9fqe3GOo=:zwaCjSmfi9yOk4sfhmKh7D
 2y3iSwFCqJFE3EMo7t2DEKxHsPDQDR498lh2LxGMNg9E1vmYo+d9R5jvv387jk7sNAglf/hlG
 3h5vt2Rrw5sv9a0GQyLZrEDDBjh0EvcWN4iFj7P/SG1r8MX8FTAXXqLZHeuRh8BZUpELrwhIF
 51ACzLoYkuyxWvtvHO8SBbxdoB1nZtnxEpPnTAO718SLpAKtZ26gWiOyvD+8uJJOPJ9JiZZXu
 9yQ/9J7+6xyFaCRUyHCFjO6Jz10RuqTvyeyCBKjxqTut+NJdS/QjMye8mzE2Xo6xv2KwGjE2k
 BAb+zP0VxU+OSK37C4o2A59MrriqIIr9BDa8DX98Y6loyr60qhu85OBZJ7jbJ/J9eTEH0Q3gu
 GfcRNgGXYho1U7d2XG4PDz3l6ygGC5/e0j5mKAdyjSnEeYcNUE1Xpqr4PH1CNTXgRKE/I57jh
 62Z3lwjlwmM0Cf5zpDkrBN2UK+b5B1UVUWADpp9qG2wQOict+lTWPQpdh50jANZ5eusCxStQB
 RINkqIKJH6/Qu9FbZDX2/ndXgjQUEk7bYoe7lUvSrKUoIc0FNmmyMRLh4kZXCHZvAhpgYaBYu
 Y8Mswh2lsajv4EUJld2ivwL8Cc+i06Nl9YH2UERkSPm3qNIeBfwJd2fOM955b7+UsLWkQyeqw
 lo1vo6uWh4iwe6YkyMjoHH9jrQkbpOBCUMr1tjL/uTPgb8SpElWjbrZAsW39hR/tOGulFTMPw
 Hx2hcP9100XlI7FARG813QOR8qR6l/UolXIlFRHhPwVaaate6IITWzec8SvffYvBLMh+v4+j+
 KV9vhZEp2b0Y5/v/dDqeqKLhNUWt5vLmwyfb5E2k9GACt/KRlSv10TeDLSGUHukTWifKPCcRJ
 e++Fx95eNRzQUAU0bBkhsIitcI2i3ejLWIUqW1+IOPUrAykinMcSJBIOnd9K2C+W2WDLCc030
 LeBJn0h/y1QRbp5oRfcvDhdidkX9cxCTPe57Maqtemq3IO8Th/6jZTlRbeWpz4sJuSzQ2cOJI
 rmVUDEsFf1KFAgkVsVumQVAnC0VTqj6L5vX79L2TaCJPUX0RknEscxcUvw6/6SD+hvJz4P4PZ
 8l3clMNMx+KYFG1fMYyyQmx1JWvJJvRz+GdRyG/5qEZDxL95fvoYagRrQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mani Kancherla <kancherla.mani@HIDDEN> writes:

Hi Mani,

> I just did one more quick test. I renamed .emacs.d/elpa where I only
> have the newer version tramp to .emacs.d/elpa-bak. That seems to fix
> the problem.
> Mani
>
>     I verified that "emacs -Q" has no issues. I can reproduce the
>     issue consistently without "-Q". Any information I can collect
>     that will help debug the issue?

Thanks for the feedback. I've tried to reproduce the problem with your
test file and with both Emacs 28.0.50 and 27.2, and the recent Tramp
2.5.2-pre, with no success.

Which Tramp version do you use? Check variable tramp-version.

Has it been compiled for Emacs 27.2? You can check this in
~/.emacs.d/elpa/tramp-<version>/tramp.elc.

Perhaps you deinstall the ELPA Tramp package, and reinstall it (2.5.1.1
is the recent version, will be 2.5.1.2 next days). Does it behave
better?

>     Thanks,
>     Mani

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 27 Aug 2021 21:15:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 17:15:01 2021
Received: from localhost ([127.0.0.1]:53103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJjBh-0001hK-Aq
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 17:15:01 -0400
Received: from mail-io1-f48.google.com ([209.85.166.48]:44868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mJjBb-0001h2-6w
 for 50205 <at> debbugs.gnu.org; Fri, 27 Aug 2021 17:14:55 -0400
Received: by mail-io1-f48.google.com with SMTP id g9so10276685ioq.11
 for <50205 <at> debbugs.gnu.org>; Fri, 27 Aug 2021 14:14:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=feq2h559/w7U3/oIPp+R2kgwYy1ntHF1edDhFmZuEMw=;
 b=PJkerM7sZG3pljgQKf/12/KoHP7J96N8Ck8h/5J511IU6nNY2sK0OpLKvCd0CG8fHZ
 zP12n+BJ1dczoZT07qeFjG8hhxP7ggMPnXRL3YyNwqvooCEEXJ6Bxtnl1tbDv96Cn+sP
 OwXOcls5lDM2suEapfQ7++oW2pKGI9hSkbnw9gT/z279ZkLWlJfkx/3rtRDZ4C1sKEI7
 IyB2aHAhJL/3DmljEuBJzqw202JqdQGTJiXA5XcxvE0ykGmZvbGe6xKub8R1NaVIB38v
 h4aVKbAn84SvmhHmq9NUYAMu/RzNfSUHeDtCsINXpRRJxjUA7qf3vmGrf4HT/Hqcu7Ae
 TEIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=feq2h559/w7U3/oIPp+R2kgwYy1ntHF1edDhFmZuEMw=;
 b=mw8A599Ia7cUG2J97MwCsL1sdZMIdvCTq0UQ/0wlnq95c0xYQ+6WG/LXjX9lBk72vt
 z9WnWtK64R1rER5c5HN6QdXWhYWX0uRx1a6hB0fuYejwuprsAp2YgEDZkNWqXonxSZGB
 yvbtgpxrQCXLHchkbFxba98PoIUzLWhsEAXrAUCE2790be2FfaGfKSqsecez1G/L9YxS
 jtcc0/94zqiBvJZhrcPphB+LBmcbiIUJpa9N9G891Vj0gaXiemFG1qJ8AeaHzmjWpViQ
 mZ9B/2L7+eKdi5GRQl5ogo+gppSopSLSqqe6z61jTA4Oxtab4x0upH9w8H7N14yFPn9U
 tIuA==
X-Gm-Message-State: AOAM5313/QoJPU6o66SU3H+PmaayReHIv416FquyPwa2WG5B3nQyAI2M
 3rLrC0JA5knYWnR/NMr/CNkmWi7j72PMYEi/2Hs=
X-Google-Smtp-Source: ABdhPJz1TuIuNJLfcWeaisYo9vX4R6C19MZHua2Ytm8N+ISt3+CFxpNrCJ99YFBQNFLfE+Gd5XmVMWVDo00nVXwzluM=
X-Received: by 2002:a05:6638:521:: with SMTP id
 j1mr9743246jar.122.1630098885486; 
 Fri, 27 Aug 2021 14:14:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
 <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
In-Reply-To: <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Fri, 27 Aug 2021 14:14:34 -0700
Message-ID: <CAGaWTtD3Sqh6JdjBSPNRE0C=38CDVa-iuFJQau18dJak0mT5vg@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000004af9e05ca90f9e2"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000004af9e05ca90f9e2
Content-Type: text/plain; charset="UTF-8"

I just did one more quick test. I renamed .emacs.d/elpa where I only have
the newer version tramp to .emacs.d/elpa-bak. That seems to fix the problem.
Mani

On Fri, Aug 27, 2021 at 1:37 PM Mani Kancherla <kancherla.mani@HIDDEN>
wrote:

> Hi,
>
> I verified that "emacs -Q" has no issues. I can reproduce the issue
> consistently without "-Q". Any information I can collect that will help
> debug the issue?
>
> Thanks,
> Mani
>
> On Thu, Aug 26, 2021 at 11:51 PM Michael Albinus <michael.albinus@HIDDEN>
> wrote:
>
>> Eli Zaretskii <eliz@HIDDEN> writes:
>>
>> Hi,
>>
>> > This backtrace is very strange.  This part:
>> >
>> >     frame #30: 0x00000001001bde9b emacs`ns_run_loop_break at
>> nsterm.m:4760:5 [opt]
>> >     frame #31: 0x00000001001a9e6e
>> emacs`sys_cond_broadcast(cond=<unavailable>) at systhread.c:183:3 [opt]
>> >     frame #32: 0x00000001001a9c59
>> emacs`lisp_mutex_unlock(mutex=<unavailable>) at thread.c:230:3 [opt]
>> >     frame #33: 0x00000001001a8af6
>> emacs`mutex_unlock_callback(arg=<unavailable>) at thread.c:339:7 [opt]
>> >     frame #34: 0x0000000100120264
>> emacs`flush_stack_call_func(func=<unavailable>, arg=<unavailable>) at
>> alloc.c:4951:3 [opt]
>> >     frame #35: 0x00000001001a8ac5
>> emacs`Fmutex_unlock(mutex=0x0000000101c46065) at thread.c:355:3 [opt]
>> >     frame #36: 0x0000000100146bdb
>> emacs`funcall_subr(subr=0x00000001002582f8, numargs=1, args=<unavailable>)
>> at eval.c:2868:19 [opt]
>> >     frame #37: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>,
>> args=<unavailable>) at eval.c:2795:11 [opt]
>> >
>> > says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,
>> > but that is false.  It could be that the debugger is not presenting
>> > the full backtrace, because this is an optimized build, and some
>> > backtrace frames are missing due to inlining.
>>
>> Does the problem also happen when calling "emacs -Q"? The GNU ELPA Tramp
>> package contains some thread code, leftover from my attempts to add such
>> support to Tramp (and which I hope to reanimate). It should be
>> deactivated by default.
>>
>> The builtin version of Tramp does not contain this code.
>>
>> Best regards, Michael.
>>
>

--00000000000004af9e05ca90f9e2
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I just did one more quick test. I renamed .emacs.d/elpa wh=
ere I only have the newer version tramp to .emacs.d/elpa-bak. That seems to=
 fix the problem.<div>Mani</div></div><br><div class=3D"gmail_quote"><div d=
ir=3D"ltr" class=3D"gmail_attr">On Fri, Aug 27, 2021 at 1:37 PM Mani Kanche=
rla &lt;<a href=3D"mailto:kancherla.mani@HIDDEN">kancherla.mani@HIDDEN=
m</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin=
:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"=
><div dir=3D"ltr">Hi,<div><br></div><div>I verified that &quot;emacs -Q&quo=
t; has no issues. I can reproduce the issue consistently without &quot;-Q&q=
uot;. Any information I can collect that will help debug the issue?</div><d=
iv><br></div><div>Thanks,</div><div>Mani</div></div><br><div class=3D"gmail=
_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, Aug 26, 2021 at 11:51=
 PM Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN" target=3D=
"_blank">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">Eli Zaretskii &lt;<a href=3D"mailto:eliz@g=
nu.org" target=3D"_blank">eliz@HIDDEN</a>&gt; writes:<br>
<br>
Hi,<br>
<br>
&gt; This backtrace is very strange.=C2=A0 This part:<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #30: 0x00000001001bde9b emacs`ns_run_loop_bre=
ak at nsterm.m:4760:5 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #31: 0x00000001001a9e6e emacs`sys_cond_broadc=
ast(cond=3D&lt;unavailable&gt;) at systhread.c:183:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #32: 0x00000001001a9c59 emacs`lisp_mutex_unlo=
ck(mutex=3D&lt;unavailable&gt;) at thread.c:230:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #33: 0x00000001001a8af6 emacs`mutex_unlock_ca=
llback(arg=3D&lt;unavailable&gt;) at thread.c:339:7 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #34: 0x0000000100120264 emacs`flush_stack_cal=
l_func(func=3D&lt;unavailable&gt;, arg=3D&lt;unavailable&gt;) at alloc.c:49=
51:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #35: 0x00000001001a8ac5 emacs`Fmutex_unlock(m=
utex=3D0x0000000101c46065) at thread.c:355:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #36: 0x0000000100146bdb emacs`funcall_subr(su=
br=3D0x00000001002582f8, numargs=3D1, args=3D&lt;unavailable&gt;) at eval.c=
:2868:19 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #37: 0x000000010014625c emacs`Ffuncall(nargs=
=3D&lt;unavailable&gt;, args=3D&lt;unavailable&gt;) at eval.c:2795:11 [opt]=
<br>
&gt;<br>
&gt; says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,<b=
r>
&gt; but that is false.=C2=A0 It could be that the debugger is not presenti=
ng<br>
&gt; the full backtrace, because this is an optimized build, and some<br>
&gt; backtrace frames are missing due to inlining.<br>
<br>
Does the problem also happen when calling &quot;emacs -Q&quot;? The GNU ELP=
A Tramp<br>
package contains some thread code, leftover from my attempts to add such<br=
>
support to Tramp (and which I hope to reanimate). It should be<br>
deactivated by default.<br>
<br>
The builtin version of Tramp does not contain this code.<br>
<br>
Best regards, Michael.<br>
</blockquote></div>
</blockquote></div>

--00000000000004af9e05ca90f9e2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 27 Aug 2021 20:38:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 16:38:15 2021
Received: from localhost ([127.0.0.1]:53093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJicB-0000pm-20
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 16:38:15 -0400
Received: from mail-io1-f54.google.com ([209.85.166.54]:33596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mJic9-0000pa-Jn
 for 50205 <at> debbugs.gnu.org; Fri, 27 Aug 2021 16:38:14 -0400
Received: by mail-io1-f54.google.com with SMTP id f6so10222456iox.0
 for <50205 <at> debbugs.gnu.org>; Fri, 27 Aug 2021 13:38:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=MeUWvNt2cW/CJds+sXULutOymwkumPvmhtNFj8FlWLg=;
 b=QWtLuV/skiBueDWKq2OJxdgP547llUqIADHkMGXNcUakdRKsxEV80x575PvK0kpMnG
 /lz6bnQLfwNhm5Sc0TzD4UZ2XJX1nhTWRpyJOjtQQ2j8YDLpsNd2Lq4nxwusudu6kbD+
 AHu2GFmJRMpYPxojkBx0xz9w7rktk1rrgYR138GmH2HqmwLbSNJ5z5iezKYLtNSp7UBE
 /UGW/1pAvf243HuqimQi7Ag+ViIXWTbsEAGdaztPaqkVZfzyxwXQZro/P2+3fv1S1Zy3
 sfcT2ekSy2F5RG5Ptixa9gFtA0cG5U6I3lIii6uoI3dGPITPdTjTHz1VNHAQ2+iTd3Dm
 ilyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=MeUWvNt2cW/CJds+sXULutOymwkumPvmhtNFj8FlWLg=;
 b=RavB5WL11M+JpUxhUppRrmrKgVX7JXYTcKLIRMHkAC0lz0O/FKzwCYmMuv20gh+wWa
 iumP3RoMISHvcGNiTBlsPtD7KXClqTCojXWsRhScDN2H6Q2jo/iHZImz57qg4bL8F87b
 iGGnRv154upchMedoj4cHactbj/idxukKYylVCp0P1rXmNO4yI0IRJgcV/72CJfUX9Ga
 PIksc5pRB5GjvvJtiAzJ17FjvMgDrEp+d/ONYgK1V/Oj9sJGskysZyN68byDkB+wq7JI
 pl8AFY9dXovA6XygcsoqcqfiMevTq90asJfsYaMpMPlNzviGXRWa4OvCTNgf1LSWi0Yf
 8rRw==
X-Gm-Message-State: AOAM531geQ2D3KflayyXilf7hH7lxFveSRaxAjgjqCGU/YGwbRumrrPQ
 g9Rk9HqYHOQEkWrN6CgWcMRcNK+Sue0iTOWeKj4=
X-Google-Smtp-Source: ABdhPJzUekolAGHnJdz9X9ZGuLmiINX5q8TWB1dElN/g9gcSNf1qiWAnUmFO/Q33ylIJPwR005hIKchzDEO4UaWASXg=
X-Received: by 2002:a02:84c2:: with SMTP id f60mr9528300jai.133.1630096687732; 
 Fri, 27 Aug 2021 13:38:07 -0700 (PDT)
MIME-Version: 1.0
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN> <87v93r9y8x.fsf@HIDDEN>
In-Reply-To: <87v93r9y8x.fsf@HIDDEN>
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Fri, 27 Aug 2021 13:37:56 -0700
Message-ID: <CAGaWTtDBBLgSFjo8LsBBZLKZo7O6Nty0TZ1LZURxj6=fgdFCBw@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000059d0405ca90763c"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Eli Zaretskii <eliz@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000059d0405ca90763c
Content-Type: text/plain; charset="UTF-8"

Hi,

I verified that "emacs -Q" has no issues. I can reproduce the issue
consistently without "-Q". Any information I can collect that will help
debug the issue?

Thanks,
Mani

On Thu, Aug 26, 2021 at 11:51 PM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
> Hi,
>
> > This backtrace is very strange.  This part:
> >
> >     frame #30: 0x00000001001bde9b emacs`ns_run_loop_break at
> nsterm.m:4760:5 [opt]
> >     frame #31: 0x00000001001a9e6e
> emacs`sys_cond_broadcast(cond=<unavailable>) at systhread.c:183:3 [opt]
> >     frame #32: 0x00000001001a9c59
> emacs`lisp_mutex_unlock(mutex=<unavailable>) at thread.c:230:3 [opt]
> >     frame #33: 0x00000001001a8af6
> emacs`mutex_unlock_callback(arg=<unavailable>) at thread.c:339:7 [opt]
> >     frame #34: 0x0000000100120264
> emacs`flush_stack_call_func(func=<unavailable>, arg=<unavailable>) at
> alloc.c:4951:3 [opt]
> >     frame #35: 0x00000001001a8ac5
> emacs`Fmutex_unlock(mutex=0x0000000101c46065) at thread.c:355:3 [opt]
> >     frame #36: 0x0000000100146bdb
> emacs`funcall_subr(subr=0x00000001002582f8, numargs=1, args=<unavailable>)
> at eval.c:2868:19 [opt]
> >     frame #37: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>,
> args=<unavailable>) at eval.c:2795:11 [opt]
> >
> > says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,
> > but that is false.  It could be that the debugger is not presenting
> > the full backtrace, because this is an optimized build, and some
> > backtrace frames are missing due to inlining.
>
> Does the problem also happen when calling "emacs -Q"? The GNU ELPA Tramp
> package contains some thread code, leftover from my attempts to add such
> support to Tramp (and which I hope to reanimate). It should be
> deactivated by default.
>
> The builtin version of Tramp does not contain this code.
>
> Best regards, Michael.
>

--000000000000059d0405ca90763c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<div><br></div><div>I verified that &quot;emacs -Q&quot=
; has no issues. I can reproduce the issue consistently without &quot;-Q&qu=
ot;. Any information I can collect that will help debug the issue?</div><di=
v><br></div><div>Thanks,</div><div>Mani</div></div><br><div class=3D"gmail_=
quote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, Aug 26, 2021 at 11:51 =
PM Michael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN">michael.al=
binus@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" styl=
e=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);paddin=
g-left:1ex">Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN" target=3D"_bl=
ank">eliz@HIDDEN</a>&gt; writes:<br>
<br>
Hi,<br>
<br>
&gt; This backtrace is very strange.=C2=A0 This part:<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #30: 0x00000001001bde9b emacs`ns_run_loop_bre=
ak at nsterm.m:4760:5 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #31: 0x00000001001a9e6e emacs`sys_cond_broadc=
ast(cond=3D&lt;unavailable&gt;) at systhread.c:183:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #32: 0x00000001001a9c59 emacs`lisp_mutex_unlo=
ck(mutex=3D&lt;unavailable&gt;) at thread.c:230:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #33: 0x00000001001a8af6 emacs`mutex_unlock_ca=
llback(arg=3D&lt;unavailable&gt;) at thread.c:339:7 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #34: 0x0000000100120264 emacs`flush_stack_cal=
l_func(func=3D&lt;unavailable&gt;, arg=3D&lt;unavailable&gt;) at alloc.c:49=
51:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #35: 0x00000001001a8ac5 emacs`Fmutex_unlock(m=
utex=3D0x0000000101c46065) at thread.c:355:3 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #36: 0x0000000100146bdb emacs`funcall_subr(su=
br=3D0x00000001002582f8, numargs=3D1, args=3D&lt;unavailable&gt;) at eval.c=
:2868:19 [opt]<br>
&gt;=C2=A0 =C2=A0 =C2=A0frame #37: 0x000000010014625c emacs`Ffuncall(nargs=
=3D&lt;unavailable&gt;, args=3D&lt;unavailable&gt;) at eval.c:2795:11 [opt]=
<br>
&gt;<br>
&gt; says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,<b=
r>
&gt; but that is false.=C2=A0 It could be that the debugger is not presenti=
ng<br>
&gt; the full backtrace, because this is an optimized build, and some<br>
&gt; backtrace frames are missing due to inlining.<br>
<br>
Does the problem also happen when calling &quot;emacs -Q&quot;? The GNU ELP=
A Tramp<br>
package contains some thread code, leftover from my attempts to add such<br=
>
support to Tramp (and which I hope to reanimate). It should be<br>
deactivated by default.<br>
<br>
The builtin version of Tramp does not contain this code.<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--000000000000059d0405ca90763c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 27 Aug 2021 06:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 02:51:24 2021
Received: from localhost ([127.0.0.1]:51140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJVi0-0004jk-3W
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 02:51:24 -0400
Received: from mout.gmx.net ([212.227.17.22]:52683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1mJVhv-0004jS-J8
 for 50205 <at> debbugs.gnu.org; Fri, 27 Aug 2021 02:51:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630047072;
 bh=LZS1pwVCbAqHgvAkEhdv1uo7EWYNsItgeXwWHTOyUT4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Tw1IJGqiJXhe/bZTjkjz3GHXjgSUhC4EDc7Chw/4F41r/skPrPuC6DpLD6clMrmL1
 a0S/FuwxLUknlFxHXGLRM8wfZmFj9VmVoQMT9vmDJLnq+hNMKm5cRu0mBeVAFgstPc
 S7cb5a95eYLLoTpcN8Z4KzJsSO6KUEF8qF8TDyk0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.159.145]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJVHU-1mYy9w21Q8-00JsFv; Fri, 27
 Aug 2021 08:51:12 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 <835yvrs9sl.fsf@HIDDEN>
Date: Fri, 27 Aug 2021 08:51:10 +0200
In-Reply-To: <835yvrs9sl.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Aug
 2021 09:04:26 +0300")
Message-ID: <87v93r9y8x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:0znDft9o5vXYcjQlwYNtz5xpJj/MBzuYg5Y+Z9kMUgRyJiRtsWa
 pf4gGFGDbu6GWf8CdBNNNhHxDgoQymPj34XLwAzXA1DQKxBSX9QK45t1LmhWZ0GZ7Tj9C75
 AbE+GCvd4bZbs1DQ5x6j2UdmfNk0GahDgRI6ErGJvQyTUv3nl5XR46fr7f+kQOylJuzGEAM
 HC8U8SeJdVM5Ys8Um1Pow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/JcvoHSGU8c=:6iqBwUcdm014FBgjUEMxZc
 NxSIfnO5RCtmhTvFNnRuFuVulyNDVX+h21D03jrzlNfuWffEI8/5NrSfWOTr50jW1ayKwFH/g
 YEu4D5rmSFmx8d6Wy19HB5GQLgDOVpm8kdIv4FmeLTREIo3A3KRzHxPlDdkhTPOCV73hOY1mR
 S1LLModAy9bfICEbwK/0p0l+C7rLE4kq3FHZRmhG3gpELy6ryGz4a+l0Q3p0VCIQKsxdvzdbs
 hMYoey9zMXFCwffcAYALHKZW0l48nx1+yc7BrugEd/+q6VXVvDl4ty3MgjoYCsetCpG/el2mZ
 HcZVYtenkLty92uMhQMJbtWM5Og412KCmxhAvb7c01mC0OXNLQyJpzyXc3fTlRDSWM2uEa5of
 bjdHaHkfvoSexdNqYLVYQq8tvU3U1ESjCaPowAAg/7vT/1KL1GqANO48hYcH3ESQfF+jqg2y9
 Tz9z2ek/ZoYcy0ysVgqJqJ29v7t5vApy7I41b4x6xyJURiv99SrsNwOfVP/aRkiy3Xm6wmzwB
 5P2rSrshPs2nOQvkRO7/7Vk687acmBXzriNZa87oodcKB9ezX1kWmi73tMrKFF03HyIvJ2pSu
 FJCzjAw8rp5qzmZ9CPheKwmMSrunq+3y1jl2irYCx4JTGBosFy8pVgRyiW5fNLFJtDAEpo8+Q
 JBuCoBIJP75k9Rz+c8vkuQHR5Vx7sYLGuhQc2gwsGuyIH5Y8z8x4+iAhtyXuFGYiM4sY20M+X
 JKmPql7GZIC2fj+Uuo+h0sEBJ/U9TTwxzvVc/nrq88kCJyQ3bPYhtvA1AesUWQK6neH7wDyiY
 vD0s8JYYUPK5UP7+n2Yn8zv2V79b+ZrhoxbrjzbsTAWoAdbsljJkpof3gLQkg8k81NCoBiVxO
 dBpekrQVLKVQhjjo00COVgNWSMzUMmKSGdy/R/mSJH+jwDHIX2igDWjAxh7VgSQzAJlLduZKP
 Al4YHiDgn+hh3FkQ9hFjywaYlHiLse2/CZJB1GN9DF4TjhWyM/JbOt8wfFXpBKtHPlkxxsSmN
 IaELGQPrX8Ex221fePiVw53G1/vW/kXWGOm/mv6dMgI40HKCi8k9iwSsMZvrd3Oz+ABKJQt4K
 7bKcbj1GVoxljPEabiZy8UK1PXP1GvOLtQPV9LOOfZqDgVgy02eEWOj1w==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50205
Cc: Mani Kancherla <kancherla.mani@HIDDEN>, 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi,

> This backtrace is very strange.  This part:
>
>     frame #30: 0x00000001001bde9b emacs`ns_run_loop_break at nsterm.m:4760:5 [opt]
>     frame #31: 0x00000001001a9e6e emacs`sys_cond_broadcast(cond=<unavailable>) at systhread.c:183:3 [opt]
>     frame #32: 0x00000001001a9c59 emacs`lisp_mutex_unlock(mutex=<unavailable>) at thread.c:230:3 [opt]
>     frame #33: 0x00000001001a8af6 emacs`mutex_unlock_callback(arg=<unavailable>) at thread.c:339:7 [opt]
>     frame #34: 0x0000000100120264 emacs`flush_stack_call_func(func=<unavailable>, arg=<unavailable>) at alloc.c:4951:3 [opt]
>     frame #35: 0x00000001001a8ac5 emacs`Fmutex_unlock(mutex=0x0000000101c46065) at thread.c:355:3 [opt]
>     frame #36: 0x0000000100146bdb emacs`funcall_subr(subr=0x00000001002582f8, numargs=1, args=<unavailable>) at eval.c:2868:19 [opt]
>     frame #37: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at eval.c:2795:11 [opt]
>
> says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,
> but that is false.  It could be that the debugger is not presenting
> the full backtrace, because this is an optimized build, and some
> backtrace frames are missing due to inlining.

Does the problem also happen when calling "emacs -Q"? The GNU ELPA Tramp
package contains some thread code, leftover from my attempts to add such
support to Tramp (and which I hope to reanimate). It should be
deactivated by default.

The builtin version of Tramp does not contain this code.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 27 Aug 2021 06:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 27 02:04:54 2021
Received: from localhost ([127.0.0.1]:51078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJUyy-0003bL-UM
	for submit <at> debbugs.gnu.org; Fri, 27 Aug 2021 02:04:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mJUyw-0003b6-9B
 for 50205 <at> debbugs.gnu.org; Fri, 27 Aug 2021 02:04:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39938)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mJUyq-0001qj-UP; Fri, 27 Aug 2021 02:04:44 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3644
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mJUyq-0005xg-HQ; Fri, 27 Aug 2021 02:04:44 -0400
Date: Fri, 27 Aug 2021 09:04:26 +0300
Message-Id: <835yvrs9sl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
In-Reply-To: <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
 (message from Mani Kancherla on Thu, 26 Aug 2021 13:16:28 -0700)
Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file
 using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 <83tujcu3f4.fsf@HIDDEN>
 <CAGaWTtCxKX8=qavjiubFrnMcQShBax86OM7SAeTmnHEmd6z-qA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50205
Cc: 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please use Reply All when replying, to keep the bug address on the CC list.]

> From: Mani Kancherla <kancherla.mani@HIDDEN>
> Date: Thu, 26 Aug 2021 13:16:28 -0700
> 
> Thanks for looking into this. Here is a backtrace from when it crashed. This is with "GNU Emacs 27.2.50
> (build 3, x86_64-apple-darwin20.4.0, NS appkit-2022.44 Version 11.3.1 (Build 20E241)) of 2021-08-18". I just
> got the source and built locally.
> 
> Process 28232 stopped
> * thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGABRT
>     frame #0: 0x00007fff2038d58e libsystem_kernel.dylib`__abort_with_payload + 10
> libsystem_kernel.dylib`__abort_with_payload:
> ->  0x7fff2038d58e <+10>: jae    0x7fff2038d598            ; <+20>
>     0x7fff2038d590 <+12>: movq   %rax, %rdi
>     0x7fff2038d593 <+15>: jmp    0x7fff2036bb49            ; cerror_nocancel
>     0x7fff2038d598 <+20>: retq
> Target 0: (emacs) stopped.
> (lldb) bt
> * thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGABRT
>   * frame #0: 0x00007fff2038d58e libsystem_kernel.dylib`__abort_with_payload + 10
>     frame #1: 0x00007fff2038efdd libsystem_kernel.dylib`abort_with_payload_wrapper_internal + 80
>     frame #2: 0x00007fff2038ef8d libsystem_kernel.dylib`abort_with_reason + 19
>     frame #3: 0x00007fff2025e9e3 libobjc.A.dylib`_objc_fatalv(unsigned long long, unsigned long long, char
> const*, __va_list_tag*) + 114
>     frame #4: 0x00007fff2025e971 libobjc.A.dylib`_objc_fatal(char const*, ...) + 135
>     frame #5: 0x00007fff2025d6fe libobjc.A.dylib`void AutoreleasePoolPage::busted<void (*)(char const*, ...)>
> (void (*)(char const*, ...)) const + 120
>     frame #6: 0x00007fff2025f623 libobjc.A.dylib`AutoreleasePoolPage::busted_die() const + 9
>     frame #7: 0x00007fff20240db8 libobjc.A.dylib`objc_autoreleasePoolPop + 41
>     frame #8: 0x00007fff235348d3 AppKit`-[NSView
> _recursive:displayRectIgnoringOpacity:inContext:stopAtLayerBackedViews:] + 3258
>     frame #9: 0x00007fff22e03335 AppKit`-[NSView(NSLayerKitGlue)
> _drawViewBackingLayer:inContext:drawingHandler:] + 967
>     frame #10: 0x00007fff26c08de1 QuartzCore`CABackingStoreUpdate_ + 219
>     frame #11: 0x00007fff26c700f9 QuartzCore`invocation function for block in CA::Layer::display_() + 53
>     frame #12: 0x00007fff26c082f3 QuartzCore`-[CALayer _display] + 2247
>     frame #13: 0x00007fff22e02ea5 AppKit`-[_NSBackingLayer display] + 475
>     frame #14: 0x00007fff22d6e00f AppKit`-[_NSViewBackingLayer display] + 555
>     frame #15: 0x00007fff26c0725f QuartzCore`CA::Layer::display_if_needed(CA::Transaction*) + 863
>     frame #16: 0x00007fff26d5244a QuartzCore`CA::Context::commit_transaction(CA::Transaction*, double,
> double*) + 666
>     frame #17: 0x00007fff26be874f QuartzCore`CA::Transaction::commit() + 713
>     frame #18: 0x00007fff22e181dc AppKit`__62+[CATransaction(NSCATransaction)
> NS_setFlushesWithDisplayLink]_block_invoke + 285
>     frame #19: 0x00007fff2356c443 AppKit`___NSRunLoopObserverCreateWithHandler_block_invoke + 41
>     frame #20: 0x00007fff20498e41 CoreFoundation
> `__CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23
>     frame #21: 0x00007fff20498cd5 CoreFoundation`__CFRunLoopDoObservers + 543
>     frame #22: 0x00007fff20498168 CoreFoundation`__CFRunLoopRun + 841
>     frame #23: 0x00007fff2049775c CoreFoundation`CFRunLoopRunSpecific + 563
>     frame #24: 0x00007fff286b9203 HIToolbox`RunCurrentEventLoopInMode + 292
>     frame #25: 0x00007fff286b8e36 HIToolbox`ReceiveNextEventCommon + 284
>     frame #26: 0x00007fff286b8d03 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 70
>     frame #27: 0x00007fff22c93b32 AppKit`_DPSNextEvent + 864
>     frame #28: 0x00007fff22c92305 AppKit`-[NSApplication(NSEvent)
> _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1364
>     frame #29: 0x00000001001bd950 emacs`ns_send_appdefined(value=-1) at nsterm.m:4375:24 [opt]
>     frame #30: 0x00000001001bde9b emacs`ns_run_loop_break at nsterm.m:4760:5 [opt]
>     frame #31: 0x00000001001a9e6e emacs`sys_cond_broadcast(cond=<unavailable>) at systhread.c:183:3
> [opt]
>     frame #32: 0x00000001001a9c59 emacs`lisp_mutex_unlock(mutex=<unavailable>) at thread.c:230:3
> [opt]
>     frame #33: 0x00000001001a8af6 emacs`mutex_unlock_callback(arg=<unavailable>) at thread.c:339:7
> [opt]
>     frame #34: 0x0000000100120264 emacs`flush_stack_call_func(func=<unavailable>, arg=<unavailable>)
> at alloc.c:4951:3 [opt]
>     frame #35: 0x00000001001a8ac5 emacs`Fmutex_unlock(mutex=0x0000000101c46065) at thread.c:355:3
> [opt]
>     frame #36: 0x0000000100146bdb emacs`funcall_subr(subr=0x00000001002582f8, numargs=1,
> args=<unavailable>) at eval.c:2868:19 [opt]
>     frame #37: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:2795:11 [opt]
>     frame #38: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010680b034,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000002, nargs=0,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #39: 0x0000000100146df4 emacs`funcall_lambda(fun=0x0000000101c72fc5, nargs=0,
> arg_vector=0x00007ffeefbf8010) at eval.c:2990:11 [opt]
>     frame #40: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #41: 0x00000001001822aa emacs`bcall0(f=0x0000000101c72fc5) at bytecode.c:328:3 [opt]
>     frame #42: 0x0000000100147b0d emacs`do_one_unbind(this_binding=0x00007ffeefbf8068,
> unwinding=<unavailable>, bindflag=SET_INTERNAL_UNBIND) at eval.c:0 [opt]
>     frame #43: 0x000000010014283f emacs`unbind_to(count=<unavailable>, value=0x0000000000000000)
> at eval.c:3575:7 [opt]
>     frame #44: 0x000000010017ff2b emacs`exec_byte_code(bytestr=0x000000010680aff4,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000606, nargs=4,
> args=<unavailable>) at bytecode.c:653:4 [opt]
>     frame #45: 0x0000000100146df4 emacs`funcall_lambda(fun=0x0000000101baa0c5, nargs=4,
> arg_vector=0x00007ffeefbf8910) at eval.c:2990:11 [opt]
>     frame #46: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #47: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010214981c,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000c06, nargs=1,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #48: 0x0000000100146df4 emacs`funcall_lambda(fun=0x00000001021497d5, nargs=1,
> arg_vector=0x00007ffeefbf8ad0) at eval.c:2990:11 [opt]
>     frame #49: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #50: 0x000000010014683c emacs`call1(fn=<unavailable>, arg1=0x0000000100a955e4) at
> eval.c:2655:10 [opt]
>     frame #51: 0x000000010005a9ea emacs`decode_mode_spec(w=0x000000010303ea30, c=64,
> field_width=1, string=0x00007ffeefbf8b90) at xdisp.c:26602:10 [opt]
>     frame #52: 0x000000010003464a emacs`display_mode_element(it=0x00007ffeefbf8e28,
> depth=<unavailable>, field_width=<unavailable>, precision=<unavailable>, elt=<unavailable>,
> props=0x0000000000000000, risky=false) at xdisp.c:25520:14 [opt]
>     frame #53: 0x0000000100034113 emacs`display_mode_element(it=0x00007ffeefbf8e28,
> depth=<unavailable>, field_width=<unavailable>, precision=<unavailable>, elt=0x0000000102271a73,
> props=0x0000000000000000, risky=false) at xdisp.c:25721:13 [opt]
>     frame #54: 0x0000000100034113 emacs`display_mode_element(it=0x00007ffeefbf8e28,
> depth=<unavailable>, field_width=<unavailable>, precision=<unavailable>, elt=0x0000000102265d53,
> props=0x0000000000000000, risky=false) at xdisp.c:25721:13 [opt]
>     frame #55: 0x000000010001e1db emacs`display_mode_line(w=<unavailable>,
> face_id=MODE_LINE_FACE_ID, format=0x0000000102265d03) at xdisp.c:25211:3 [opt]
>     frame #56: 0x000000010004aaf0 emacs`display_mode_lines(w=0x000000010303ea30) at
> xdisp.c:25127:7 [opt]
>     frame #57: 0x0000000100051277 emacs`redisplay_window(window=0x000000010303ea35,
> just_this_one_p=false) at xdisp.c:18998:7 [opt]
>     frame #58: 0x000000010004fb76 emacs`redisplay_window_0(window=<unavailable>) at xdisp.c:16331:5
> [opt]
>     frame #59: 0x0000000100144d96 emacs`internal_condition_case_1(bfun=(emacs`redisplay_window_0
> at xdisp.c:16329), arg=0x000000010303ea35, handlers=<unavailable>, hfun=(emacs
> `redisplay_window_error at xdisp.c:16322)) at eval.c:1380:25 [opt]
>     frame #60: 0x000000010004ed54 emacs`redisplay_windows(window=0x000000010303ea35) at
> xdisp.c:16311:4 [opt]
>     frame #61: 0x000000010002b640 emacs`redisplay_internal at xdisp.c:15779:5 [opt]
>     frame #62: 0x000000010002d991 emacs`redisplay_preserve_echo_area(from_where=2) at
> xdisp.c:16128:7 [opt]
>     frame #63: 0x0000000100008d62 emacs`Fredisplay(force=<unavailable>) at dispnew.c:6093:3 [opt]
>     frame #64: 0x0000000100146bdb emacs`funcall_subr(subr=0x000000010024a558, numargs=0,
> args=<unavailable>) at eval.c:2868:19 [opt]
>     frame #65: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:2795:11 [opt]
>     frame #66: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x0000000102136ff4,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000c06, nargs=1,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #67: 0x0000000100146df4 emacs`funcall_lambda(fun=0x0000000102136d7d, nargs=1,
> arg_vector=0x00007ffeefbfe0c0) at eval.c:2990:11 [opt]
>     frame #68: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #69: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221cae4,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000802, nargs=0,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #70: 0x0000000100146df4 emacs`funcall_lambda(fun=0x00000001021e1f8d, nargs=0,
> arg_vector=0x00007ffeefbfe3d0) at eval.c:2990:11 [opt]
>     frame #71: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #72: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221d9a4,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000002, nargs=0,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #73: 0x0000000100146df4 emacs`funcall_lambda(fun=0x00000001021ddc05, nargs=0,
> arg_vector=0x00007ffeefbfe690) at eval.c:2990:11 [opt]
>     frame #74: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #75: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221e73c,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000002, nargs=0,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #76: 0x0000000100146df4 emacs`funcall_lambda(fun=0x000000010221e55d, nargs=0,
> arg_vector=0x00007ffeefbfe920) at eval.c:2990:11 [opt]
>     frame #77: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #78: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221e77c,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x000000000000080a, nargs=2,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #79: 0x0000000100146df4 emacs`funcall_lambda(fun=0x000000010221e4dd, nargs=2,
> arg_vector=0x00007ffeefbfeaf0) at eval.c:2990:11 [opt]
>     frame #80: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #81: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221ebfc,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000806, nargs=2,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #82: 0x0000000100146df4 emacs`funcall_lambda(fun=0x000000010221e415, nargs=2,
> arg_vector=0x00007ffeefbfecf8) at eval.c:2990:11 [opt]
>     frame #83: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #84: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x000000010221ecbc,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000000802, nargs=2,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #85: 0x0000000100146df4 emacs`funcall_lambda(fun=0x000000010221e305, nargs=2,
> arg_vector=0x00007ffeefbfefc0) at eval.c:2990:11 [opt]
>     frame #86: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #87: 0x000000010013ffba emacs`Ffuncall_interactively(nargs=<unavailable>, args=<unavailable>)
> at callint.c:254:32 [opt]
>     frame #88: 0x0000000100146b95 emacs`funcall_subr(subr=0x0000000100253dc8, numargs=3,
> args=<unavailable>) at eval.c:0 [opt]
>     frame #89: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:2795:11 [opt]
>     frame #90: 0x0000000100146021 emacs`Fapply(nargs=<unavailable>, args=0x00007ffeefbff0f8) at
> eval.c:2425:24 [opt]
>     frame #91: 0x00000001001402f5 emacs`Fcall_interactively(function=0x0000000001bd3c40,
> record_flag=0x0000000000000000, keys=0x0000000101c437f5) at callint.c:342:36 [opt]
>     frame #92: 0x0000000100146bec emacs`funcall_subr(subr=0x0000000100253d98, numargs=3,
> args=<unavailable>) at eval.c:2873:19 [opt]
>     frame #93: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:2795:11 [opt]
>     frame #94: 0x000000010017feb5 emacs`exec_byte_code(bytestr=0x0000000102242774,
> vector=<unavailable>, maxdepth=<unavailable>, args_template=0x0000000000001006, nargs=1,
> args=<unavailable>) at bytecode.c:633:12 [opt]
>     frame #95: 0x0000000100146df4 emacs`funcall_lambda(fun=0x0000000102242295, nargs=1,
> arg_vector=0x00007ffeefbff4b0) at eval.c:2990:11 [opt]
>     frame #96: 0x0000000100146243 emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at
> eval.c:0:4 [opt]
>     frame #97: 0x000000010014683c emacs`call1(fn=<unavailable>, arg1=<unavailable>) at eval.c:2655:10
> [opt]
>     frame #98: 0x00000001000c01f3 emacs`command_loop_1 at keyboard.c:1463:13 [opt]
>     frame #99: 0x0000000100144d22 emacs`internal_condition_case(bfun=(emacs`command_loop_1 at
> keyboard.c:1236), handlers=<unavailable>, hfun=(emacs`cmd_error at keyboard.c:919)) at eval.c:1356:25
> [opt]
>     frame #100: 0x00000001000cecae emacs`command_loop_2(ignore=0x0000000000000000) at
> keyboard.c:1091:11 [opt]
>     frame #101: 0x00000001001448cb emacs`internal_catch(tag=<unavailable>, func=(emacs
> `command_loop_2 at keyboard.c:1087), arg=0x0000000000000000) at eval.c:1117:25 [opt]
>     frame #102: 0x00000001001f7e2a emacs`command_loop.cold.1 at keyboard.c:1070:2 [opt]
>     frame #103: 0x00000001000bf42e emacs`command_loop at keyboard.c:0 [opt]
>     frame #104: 0x00000001000bf354 emacs`recursive_edit_1 at keyboard.c:714:9 [opt]
>     frame #105: 0x00000001000bf55e emacs`Frecursive_edit at keyboard.c:786:3 [opt]
>     frame #106: 0x00000001000bd818 emacs`main(argc=<unavailable>, argv=0x00007ffeefbff888) at
> emacs.c:2067:3 [opt]
>     frame #107: 0x00007fff203bbf3d libdyld.dylib`start + 1
>     frame #108: 0x00007fff203bbf3d libdyld.dylib`start + 1

This backtrace is very strange.  This part:

    frame #30: 0x00000001001bde9b emacs`ns_run_loop_break at nsterm.m:4760:5 [opt]
    frame #31: 0x00000001001a9e6e emacs`sys_cond_broadcast(cond=<unavailable>) at systhread.c:183:3 [opt]
    frame #32: 0x00000001001a9c59 emacs`lisp_mutex_unlock(mutex=<unavailable>) at thread.c:230:3 [opt]
    frame #33: 0x00000001001a8af6 emacs`mutex_unlock_callback(arg=<unavailable>) at thread.c:339:7 [opt]
    frame #34: 0x0000000100120264 emacs`flush_stack_call_func(func=<unavailable>, arg=<unavailable>) at alloc.c:4951:3 [opt]
    frame #35: 0x00000001001a8ac5 emacs`Fmutex_unlock(mutex=0x0000000101c46065) at thread.c:355:3 [opt]
    frame #36: 0x0000000100146bdb emacs`funcall_subr(subr=0x00000001002582f8, numargs=1, args=<unavailable>) at eval.c:2868:19 [opt]
    frame #37: 0x000000010014625c emacs`Ffuncall(nargs=<unavailable>, args=<unavailable>) at eval.c:2795:11 [opt]

says that funcall_subr calls Fmutex_unlock from line 2868 of eval.c,
but that is false.  It could be that the debugger is not presenting
the full backtrace, because this is an optimized build, and some
backtrace frames are missing due to inlining.

What was Emacs doing when this happened?  Could it be it was running
some Lisp which called mutex-unlock?  If so, the root cause for the
problem could be in that Lisp program: it could cause both lockups and
crashes related to mutexes.  Please see if such Lisp programs are
present in some packages you use.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at 50205 <at> debbugs.gnu.org:


Received: (at 50205) by debbugs.gnu.org; 26 Aug 2021 06:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 02:27:21 2021
Received: from localhost ([127.0.0.1]:48200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJ8rB-00005p-E3
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 02:27:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mJ8r9-00005c-5K
 for 50205 <at> debbugs.gnu.org; Thu, 26 Aug 2021 02:27:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52200)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mJ8r3-00046F-Df; Thu, 26 Aug 2021 02:27:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3891
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mJ8r3-00028K-1b; Thu, 26 Aug 2021 02:27:13 -0400
Date: Thu, 26 Aug 2021 09:26:55 +0300
Message-Id: <83tujcu3f4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mani Kancherla <kancherla.mani@HIDDEN>
In-Reply-To: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
 (message from Mani Kancherla on Wed, 25 Aug 2021 12:24:58 -0700)
Subject: Re: bug#50205: 27.2;
 crashes or hangs when opening a specific file using tramp
References: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50205
Cc: 50205 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mani Kancherla <kancherla.mani@HIDDEN>
> Date: Wed, 25 Aug 2021 12:24:58 -0700
> 
> If I open a specific file over tramp and then trigger window redisplay, either by resizing the window or splitting
> the window, then emacs hangs or sometimes crashes. Can be reproduced consistently by just opening the
> specific file over tramp and then "C-x 3". Same file, if I open locally (without tramp), it does not crash on
> window resize.
> 
> Please find the specific file that causes the crash attached to this email. Steps to reproduce:
> - place the file on a remote machine
> - start emacs
> - open file using tramp like /ssh:1.1.1.1:/tmp/test.txt
> - split the window with C-x 3
> ====> emacs hangs or crashes at this point
> 
> I have seen this issue on macos with different versions of emacs (26.3, 27.1, 27.2) and with different
> versions of tramp as well. Please find below the stack trace I collected. Also, just for testing, I removed
> everything from .emacs to see if it is something in my .emacs, but it still crashed or hung.

The backtrace you show says Emacs stopped due to SIGSTOP signal, so I
guess this was the case it "hanged" and you stopped it?  In that case,
the backtrace points to an arbitrary point, and is not useful; we need
to know where does it infloop.  The technique to discover that is
described in etc/DEBUG, search for "If the symptom of the bug is that
Emacs fails to respond" there.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2021 19:55:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 15:55:56 2021
Received: from localhost ([127.0.0.1]:47920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIz06-0007nA-N8
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 15:55:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:46864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kancherla.mani@HIDDEN>) id 1mIyWR-00072y-PX
 for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 15:25:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45156)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kancherla.mani@HIDDEN>)
 id 1mIyWR-0007FU-J8
 for bug-gnu-emacs@HIDDEN; Wed, 25 Aug 2021 15:25:15 -0400
Received: from mail-io1-xd34.google.com ([2607:f8b0:4864:20::d34]:36478)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <kancherla.mani@HIDDEN>)
 id 1mIyWN-00052B-Ub
 for bug-gnu-emacs@HIDDEN; Wed, 25 Aug 2021 15:25:15 -0400
Received: by mail-io1-xd34.google.com with SMTP id q3so464389iot.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Aug 2021 12:25:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=iCU1mmSQ6OhN7w1N3SmsnN4u9TIs6rJcqw1tbL17feU=;
 b=Z2XHRvgSYrenN12Fhe7R5Y3cP1ZDELl5oApQ5iiV274SxXxwqC6+CDY+QkUj3YbaWh
 KuDcyGWA8Ceo2RQAH1svTJiNXzjX5q7w7nvc8DhUUTJ2pmAOuJJMXRNCnl4I+jwYb3EK
 fiC9VIoDkTwhBJYr5pvAlUjlfbcOkQP/reVXd3UGOO3i9ToPDN3jex80cYytwOqDjUkb
 z1uDhkmXZpjXsAZFyUOrfARo4mO0G6IooVknZ+jeXGXG/w2O5837V42LhIf5NODhiGnI
 D+8sRYdaW1S/XBQs+SLEv7Kp5rG1bAsPE/iQvG11NOWeMYSOrB85/FG8/DVF77YQmEZC
 BXmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=iCU1mmSQ6OhN7w1N3SmsnN4u9TIs6rJcqw1tbL17feU=;
 b=ldUPmeWVR5Tkg/ZsB10tQGYVy9o9Rj0G+YZd8STQIBSqPvFDj0zEIyJPqSvLZ0WXEk
 +ETFPQiYWyUvkWnzi/Onh8FKXewTpDuI6ZxU+AAc990iHZj8Y0DWQ4UtutMVSx3OrUww
 laKI1Sv00jddnHfghpbtga5GzgG4Lag131tM9gES6EtBLPhloA7GeKAmRecD2Ibf3282
 wmAuDZG1SARgWfXWW16jen64Z//8y9Q+QaTNtm+2Yv737/Uh32ERaiWcvkAZ828ZJvl1
 IwBT/6neGO4qEV7SbdeVEgew/bM/dbfrm9K7nJP+1/+mZFk70cxSn3xgcp3j7N3x6vAJ
 f0Dg==
X-Gm-Message-State: AOAM5332kroyYWYqnhEnX8b4wPgznJuexNsIbiNyftTKKkbAsHn+rBG2
 nvJaybBQiOwISYFVnXM99tPM5ZeuRodMK1q3Yh4u1gZFWPE5sw==
X-Google-Smtp-Source: ABdhPJxNxIwNcJX89S0AO8ShgrJ63bscTyh6VYMMTESam1z/QtccG0wRvMezi9vVR5uqw0GfHbrqfvUodjHHi/WsMrc=
X-Received: by 2002:a05:6638:521:: with SMTP id j1mr11460jar.122.1629919509171; 
 Wed, 25 Aug 2021 12:25:09 -0700 (PDT)
MIME-Version: 1.0
From: Mani Kancherla <kancherla.mani@HIDDEN>
Date: Wed, 25 Aug 2021 12:24:58 -0700
Message-ID: <CAGaWTtD2VBs=p3_SZjQkFOx18GK1Z5hs2Ebhi53p4sMOq7O-3w@HIDDEN>
Subject: 27.2; crashes or hangs when opening a specific file using tramp
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="0000000000005b6a2e05ca673585"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d34;
 envelope-from=kancherla.mani@HIDDEN; helo=mail-io1-xd34.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 25 Aug 2021 15:55:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000005b6a2e05ca673585
Content-Type: multipart/alternative; boundary="0000000000005b6a2c05ca673583"

--0000000000005b6a2c05ca673583
Content-Type: text/plain; charset="UTF-8"

Hi,

If I open a specific file over tramp and then trigger window redisplay,
either by resizing the window or splitting the window, then emacs hangs or
sometimes crashes. Can be reproduced consistently by just opening the
specific file over tramp and then "C-x 3". Same file, if I open locally
(without tramp), it does not crash on window resize.

Please find the specific file that causes the crash attached to this email.
Steps to reproduce:
- place the file on a remote machine
- start emacs
- open file using tramp like /ssh:1.1.1.1:/tmp/test.txt
- split the window with C-x 3
====> emacs hangs or crashes at this point

I have seen this issue on macos with different versions of emacs (26.3,
27.1, 27.2) and with different versions of tramp as well. Please find below
the stack trace I collected. Also, just for testing, I removed everything
from .emacs to see if it is something in my .emacs, but it still crashed or
hung.

===============================================================
(lldb) bt
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00000001001a11c5
emacs`builtin_lisp_symbol(index=<unavailable>) at lisp.h:1033:10 [opt]
    frame #1: 0x00000001001a0e10 emacs`NILP(x=0x0000000000000000) at
lisp.h:1400:10 [opt]
    frame #2: 0x00000001001a566a
emacs`CHAR_TABLE_REF_ASCII(ct=0x0000000102613d85, idx=110) at
lisp.h:2040:11 [opt]
    frame #3: 0x00000001001a1061 emacs`CHAR_TABLE_REF(ct=<unavailable>,
idx=<unavailable>) at lisp.h:2054:6 [opt]
    frame #4: 0x00000001001a25ec
emacs`composition_compute_stop_pos(cmp_it=<unavailable>, charpos=9242,
bytepos=<unavailable>, endpos=<unavailable>, string=<unavailable>) at
composite.c:1024:10 [opt]
    frame #5: 0x0000000100044cf1 emacs`compute_stop_pos(it=<unavailable>)
at xdisp.c:3960:7 [opt]
    frame #6: 0x00000001000441a2 emacs`handle_stop(it=0x00007ffeefbf9e28)
at xdisp.c:3820:5 [opt]
    frame #7: 0x00000001000475c6
emacs`next_element_from_buffer(it=0x00007ffeefbf9e28) at xdisp.c:8791:4
[opt]
    frame #8: 0x000000010001ea5a
emacs`get_next_display_element(it=0x00007ffeefbf9e28) at xdisp.c:7383:15
[opt]
    frame #9: 0x000000010002eadf emacs`display_line(it=<unavailable>,
cursor_vpos=<unavailable>) at xdisp.c:23248:12 [opt]
    frame #10: 0x000000010002e549
emacs`try_window(window=0x0000000101153835, pos=<unavailable>, flags=1) at
xdisp.c:19199:11 [opt]
    frame #11: 0x0000000100050ff0
emacs`redisplay_window(window=0x0000000101153835, just_this_one_p=false) at
xdisp.c:18617:8 [opt]
    frame #12: 0x000000010004fb76
emacs`redisplay_window_0(window=<unavailable>) at xdisp.c:16331:5 [opt]
    frame #13: 0x0000000100144d96
emacs`internal_condition_case_1(bfun=(emacs`redisplay_window_0 at
xdisp.c:16329), arg=0x0000000101153835, handlers=<unavailable>,
hfun=(emacs`redisplay_window_error at xdisp.c:16322)) at eval.c:1380:25
[opt]
    frame #14: 0x000000010004ed54
emacs`redisplay_windows(window=0x0000000101153835) at xdisp.c:16311:4 [opt]
    frame #15: 0x000000010002b640 emacs`redisplay_internal at
xdisp.c:15779:5 [opt]
    frame #16: 0x000000010002d991
emacs`redisplay_preserve_echo_area(from_where=8) at xdisp.c:16128:7 [opt]
    frame #17: 0x00000001000c4fa3
emacs`detect_input_pending_run_timers(do_display=true) at
keyboard.c:10371:5 [opt]
    frame #18: 0x0000000100189ed4
emacs`wait_reading_process_output(time_limit=<unavailable>, nsecs=0,
read_kbd=<unavailable>, do_display=true, wait_for_cell=0x0000000000000000,
wait_proc=<unavailable>, just_wait_proc=0) at process.c:5708:8 [opt]
    frame #19: 0x0000000100008bed emacs`sit_for(timeout=<unavailable>,
reading=<unavailable>, display_option=<unavailable>) at dispnew.c:6064:3
[opt]
    frame #20: 0x00000001000c41f7 emacs`read_char(commandflag=1,
map=0x0000000124027103, prev_event=0x0000000000000000,
used_mouse_menu=0x00007ffeefbff467, end_time=0x0000000000000000) at
keyboard.c:2738:11 [opt]
    frame #21: 0x00000001000c0d83
emacs`read_key_sequence(keybuf=<unavailable>, prompt=0x0000000000000000,
dont_downcase_last=false, can_return_switch_frame=false,
fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9554:12
[opt]
    frame #22: 0x00000001000bff33 emacs`command_loop_1 at
keyboard.c:1350:15 [opt]
    frame #23: 0x0000000100144d22
emacs`internal_condition_case(bfun=(emacs`command_loop_1 at
keyboard.c:1236), handlers=<unavailable>, hfun=(emacs`cmd_error at
keyboard.c:919)) at eval.c:1356:25 [opt]
    frame #24: 0x00000001000cecae
emacs`command_loop_2(ignore=0x0000000000000000) at keyboard.c:1091:11 [opt]
    frame #25: 0x00000001001448cb emacs`internal_catch(tag=<unavailable>,
func=(emacs`command_loop_2 at keyboard.c:1087), arg=0x0000000000000000) at
eval.c:1117:25 [opt]
    frame #26: 0x00000001001f7e2a emacs`command_loop.cold.1 at
keyboard.c:1070:2 [opt]
    frame #27: 0x00000001000bf42e emacs`command_loop at keyboard.c:0 [opt]
    frame #28: 0x00000001000bf354 emacs`recursive_edit_1 at
keyboard.c:714:9 [opt]
    frame #29: 0x00000001000bf55e emacs`Frecursive_edit at keyboard.c:786:3
[opt]
    frame #30: 0x00000001000bd818 emacs`main(argc=<unavailable>,
argv=0x00007ffeefbff888) at emacs.c:2067:3 [opt]
    frame #31: 0x00007fff203bbf3d libdyld.dylib`start + 1
    frame #32: 0x00007fff203bbf3d libdyld.dylib`start + 1
===============================================================

In GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
Version 10.14.6 (Build 18G95))
of 2021-03-27 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.3.1

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Configured using:
'configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-archive hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-archive
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-smb hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-smb
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-uu hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-uu
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-adb hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-adb
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-sh hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-sh
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/trampver hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/trampver
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-cmds hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-cmds
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-integration hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-integration
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-sudoedit hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-sudoedit
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-cache hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-cache
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-compat hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-compat
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-gvfs hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-gvfs
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-ftp hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-ftp
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-rclone hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-rclone
/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-loaddefs hides
/Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-loaddefs

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils finder-inf info
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 69254 6106)
(symbols 48 8166 1)
(strings 32 24442 1598)
(string-bytes 1 759163)
(vectors 16 13863)
(vector-slots 8 171466 13674)
(floats 8 24 21)
(intervals 56 192 0)
(buffers 1000 12))

--0000000000005b6a2c05ca673583
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi,<br><div><br></div><div><span style=3D"color:rgb(0,0,0)=
;font-family:Helvetica;font-size:12px">If I open a specific file over tramp=
 and then trigger window redisplay, either by resizing the window or splitt=
ing the window, then emacs hangs or sometimes crashes. Can be reproduced co=
nsistently by just opening the specific file over tramp and then &quot;C-x =
3&quot;. Same file, if I open locally (without tramp), it does not crash on=
 window resize.</span></div><div><br></div><div>Please find the specific fi=
le that causes the crash attached to this email. Steps to reproduce:</div><=
div>- place the file on a remote machine</div><div>- start emacs</div><div>=
- open file using tramp like /ssh:1.1.1.1:/tmp/test.txt</div><div>- split t=
he window with C-x 3<br style=3D"caret-color: rgb(0, 0, 0); text-size-adjus=
t: auto;">=3D=3D=3D=3D&gt; emacs hangs or crashes at this point<br style=3D=
"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><br>I have seen thi=
s issue on macos with different versions of emacs (26.3, 27.1, 27.2) and wi=
th different versions of tramp as well. Please find below the stack trace I=
 collected. Also, just for testing, I removed everything from .emacs to see=
 if it is something in my .emacs, but it still crashed or hung.</div><div><=
br></div><div>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br style=3D"caret-co=
lor: rgb(0, 0, 0); text-size-adjust: auto;"><div style=3D"font-size:11pt"><=
span style=3D"font-size:11pt">(lldb) bt</span></div><div>* thread #1, queue=
 =3D &#39;com.apple.main-thread&#39;, stop reason =3D signal SIGSTOP
</div><div>=C2=A0=C2=A0* frame #0: 0x00000001001a11c5 emacs`builtin_lisp_sy=
mbol(index=3D&lt;unavailable&gt;) at lisp.h:1033:10 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #1: 0x00000001001a0e10 emacs`NILP(=
x=3D0x0000000000000000) at lisp.h:1400:10 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #2: 0x00000001001a566a emacs`CHAR_=
TABLE_REF_ASCII(ct=3D0x0000000102613d85, idx=3D110) at lisp.h:2040:11 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #3: 0x00000001001a1061 emacs`CHAR_=
TABLE_REF(ct=3D&lt;unavailable&gt;, idx=3D&lt;unavailable&gt;) at lisp.h:20=
54:6 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #4: 0x00000001001a25ec emacs`compo=
sition_compute_stop_pos(cmp_it=3D&lt;unavailable&gt;, charpos=3D9242, bytep=
os=3D&lt;unavailable&gt;, endpos=3D&lt;unavailable&gt;, string=3D&lt;unavai=
lable&gt;) at composite.c:1024:10 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #5: 0x0000000100044cf1 emacs`compu=
te_stop_pos(it=3D&lt;unavailable&gt;) at xdisp.c:3960:7 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #6: 0x00000001000441a2 emacs`handl=
e_stop(it=3D0x00007ffeefbf9e28) at xdisp.c:3820:5 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #7: 0x00000001000475c6 emacs`next_=
element_from_buffer(it=3D0x00007ffeefbf9e28) at xdisp.c:8791:4 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #8: 0x000000010001ea5a emacs`get_n=
ext_display_element(it=3D0x00007ffeefbf9e28) at xdisp.c:7383:15 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #9: 0x000000010002eadf emacs`displ=
ay_line(it=3D&lt;unavailable&gt;, cursor_vpos=3D&lt;unavailable&gt;) at xdi=
sp.c:23248:12 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #10: 0x000000010002e549 emacs`try_=
window(window=3D0x0000000101153835, pos=3D&lt;unavailable&gt;, flags=3D1) a=
t xdisp.c:19199:11 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #11: 0x0000000100050ff0 emacs`redi=
splay_window(window=3D0x0000000101153835, just_this_one_p=3Dfalse) at xdisp=
.c:18617:8 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #12: 0x000000010004fb76 emacs`redi=
splay_window_0(window=3D&lt;unavailable&gt;) at xdisp.c:16331:5 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #13: 0x0000000100144d96 emacs`inte=
rnal_condition_case_1(bfun=3D(emacs`redisplay_window_0 at xdisp.c:16329), a=
rg=3D0x0000000101153835, handlers=3D&lt;unavailable&gt;, hfun=3D(emacs`redi=
splay_window_error at xdisp.c:16322)) at eval.c:1380:25 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #14: 0x000000010004ed54 emacs`redi=
splay_windows(window=3D0x0000000101153835) at xdisp.c:16311:4 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #15: 0x000000010002b640 emacs`redi=
splay_internal at xdisp.c:15779:5 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #16: 0x000000010002d991 emacs`redi=
splay_preserve_echo_area(from_where=3D8) at xdisp.c:16128:7 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #17: 0x00000001000c4fa3 emacs`dete=
ct_input_pending_run_timers(do_display=3Dtrue) at keyboard.c:10371:5 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #18: 0x0000000100189ed4 emacs`wait=
_reading_process_output(time_limit=3D&lt;unavailable&gt;, nsecs=3D0, read_k=
bd=3D&lt;unavailable&gt;, do_display=3Dtrue, wait_for_cell=3D0x000000000000=
0000, wait_proc=3D&lt;unavailable&gt;, just_wait_proc=3D0) at process.c:570=
8:8 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #19: 0x0000000100008bed emacs`sit_=
for(timeout=3D&lt;unavailable&gt;, reading=3D&lt;unavailable&gt;, display_o=
ption=3D&lt;unavailable&gt;) at dispnew.c:6064:3 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #20: 0x00000001000c41f7 emacs`read=
_char(commandflag=3D1, map=3D0x0000000124027103, prev_event=3D0x00000000000=
00000, used_mouse_menu=3D0x00007ffeefbff467, end_time=3D0x0000000000000000)=
 at keyboard.c:2738:11 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #21: 0x00000001000c0d83 emacs`read=
_key_sequence(keybuf=3D&lt;unavailable&gt;, prompt=3D0x0000000000000000, do=
nt_downcase_last=3Dfalse, can_return_switch_frame=3Dfalse, fix_current_buff=
er=3Dtrue, prevent_redisplay=3Dfalse) at keyboard.c:9554:12 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #22: 0x00000001000bff33 emacs`comm=
and_loop_1 at keyboard.c:1350:15 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #23: 0x0000000100144d22 emacs`inte=
rnal_condition_case(bfun=3D(emacs`command_loop_1 at keyboard.c:1236), handl=
ers=3D&lt;unavailable&gt;, hfun=3D(emacs`cmd_error at keyboard.c:919)) at e=
val.c:1356:25 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #24: 0x00000001000cecae emacs`comm=
and_loop_2(ignore=3D0x0000000000000000) at keyboard.c:1091:11 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #25: 0x00000001001448cb emacs`inte=
rnal_catch(tag=3D&lt;unavailable&gt;, func=3D(emacs`command_loop_2 at keybo=
ard.c:1087), arg=3D0x0000000000000000) at eval.c:1117:25 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #26: 0x00000001001f7e2a emacs`comm=
and_loop.cold.1 at keyboard.c:1070:2 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #27: 0x00000001000bf42e emacs`comm=
and_loop at keyboard.c:0 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #28: 0x00000001000bf354 emacs`recu=
rsive_edit_1 at keyboard.c:714:9 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #29: 0x00000001000bf55e emacs`Frec=
ursive_edit at keyboard.c:786:3 [opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #30: 0x00000001000bd818 emacs`main=
(argc=3D&lt;unavailable&gt;, argv=3D0x00007ffeefbff888) at emacs.c:2067:3 [=
opt]
</div><div>=C2=A0=C2=A0=C2=A0=C2=A0frame #31: 0x00007fff203bbf3d libdyld.dy=
lib`start + 1
</div><div style=3D"font-size:11pt"><div><span style=3D"font-size:11pt">=C2=
=A0=C2=A0=C2=A0=C2=A0frame #32: 0x00007fff203bbf3d libdyld.dylib`start + 1<=
/span></div></div><div style=3D"font-size:11pt"></div>=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D</div><div><br style=3D"caret-color: rgb(0, 0, 0); text-s=
ize-adjust: auto;"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;fo=
nt-size:12px">In GNU Emacs 27.2 (build 1, x86_64-apple-darwin18.7.0, NS app=
kit-1671.60 Version 10.14.6 (Build 18G95))</span><br style=3D"color:rgb(0,0=
,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px">of 2021-03-27 built on <a href=3D"http=
://builder10-14.porkrind.org">builder10-14.porkrind.org</a></span><br style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"c=
olor:rgb(0,0,0);font-family:Helvetica;font-size:12px">Windowing system dist=
ributor &#39;Apple&#39;, version 10.3.2022</span><br style=3D"color:rgb(0,0=
,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px">System Description:</span><span class=
=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:Helv=
etica;font-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-fam=
ily:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space">=
=C2=A0</span>macOS 11.3.1</span><br style=3D"color:rgb(0,0,0);font-family:H=
elvetica;font-size:12px"><br style=3D"color:rgb(0,0,0);font-family:Helvetic=
a;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;fon=
t-size:12px">Recent messages:</span><br style=3D"color:rgb(0,0,0);font-fami=
ly:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:He=
lvetica;font-size:12px">For information about GNU Emacs and the GNU system,=
 type C-h C-a.</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;fo=
nt-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-si=
ze:12px">Quit</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;fon=
t-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-siz=
e:12px">Configured using:</span><br style=3D"color:rgb(0,0,0);font-family:H=
elvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvet=
ica;font-size:12px">&#39;configure --with-ns &#39;--enable-locallisppath=3D=
/Library/Application</span><br style=3D"color:rgb(0,0,0);font-family:Helvet=
ica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;f=
ont-size:12px">Support/Emacs/${version}/site-lisp:/Library/Application</spa=
n><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span=
 style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">Support/Em=
acs/site-lisp&#39; --with-modules&#39;</span><br style=3D"color:rgb(0,0,0);=
font-family:Helvetica;font-size:12px"><br style=3D"color:rgb(0,0,0);font-fa=
mily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px">Configured features:</span><br style=3D"color:rgb=
(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,=
0);font-family:Helvetica;font-size:12px">NOTIFY KQUEUE ACL GNUTLS LIBXML2 Z=
LIB TOOLKIT_SCROLL_BARS NS MODULES</span><br style=3D"color:rgb(0,0,0);font=
-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-fami=
ly:Helvetica;font-size:12px">THREADS JSON PDUMPER GMP</span><br style=3D"co=
lor:rgb(0,0,0);font-family:Helvetica;font-size:12px"><br style=3D"color:rgb=
(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,=
0);font-family:Helvetica;font-size:12px">Important settings:</span><br styl=
e=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"=
gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:Helvetic=
a;font-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space">=C2=
=A0</span>value of $LANG: en_US.UTF-8</span><br style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-s=
pace" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=
=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:1=
2px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>locale-coding=
-system: utf-8-unix</span><br style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px"><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font=
-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size=
:12px">Major mode: Fundamental</span><br style=3D"color:rgb(0,0,0);font-fam=
ily:Helvetica;font-size:12px"><br style=3D"color:rgb(0,0,0);font-family:Hel=
vetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetic=
a;font-size:12px">Minor modes in effect:</span><br style=3D"color:rgb(0,0,0=
);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converte=
d-space" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=
=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-siz=
e:12px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>tooltip-mo=
de: t</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:1=
2px"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);=
font-family:Helvetica;font-size:12px">=C2=A0</span><span style=3D"color:rgb=
(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-co=
nverted-space">=C2=A0</span>global-eldoc-mode: t</span><br style=3D"color:r=
gb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-=
converted-space" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:=
12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvetica;fo=
nt-size:12px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>elec=
tric-indent-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px"><span class=3D"gmail-Apple-converted-space" style=3D"col=
or:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0</span><span styl=
e=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"=
gmail-Apple-converted-space">=C2=A0</span>mouse-wheel-mode: t</span><br sty=
le=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D=
"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family=
:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space">=C2=
=A0</span>tool-bar-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space" style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0</span><sp=
an style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span cl=
ass=3D"gmail-Apple-converted-space">=C2=A0</span>menu-bar-mode: t</span><br=
 style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span clas=
s=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:Hel=
vetica;font-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-fa=
mily:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space">=
=C2=A0</span>file-name-shadow-mode: t</span><br style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-s=
pace" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=
=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:1=
2px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>global-font-l=
ock-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-=
size:12px"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0=
,0,0);font-family:Helvetica;font-size:12px">=C2=A0</span><span style=3D"col=
or:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Ap=
ple-converted-space">=C2=A0</span>blink-cursor-mode: t</span><br style=3D"c=
olor:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-=
Apple-converted-space" style=3D"color:rgb(0,0,0);font-family:Helvetica;font=
-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvet=
ica;font-size:12px"><span class=3D"gmail-Apple-converted-space">=C2=A0</spa=
n>auto-composition-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-space" style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0</span><sp=
an style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span cl=
ass=3D"gmail-Apple-converted-space">=C2=A0</span>auto-encryption-mode: t</s=
pan><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><sp=
an class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0,0,0);font-fam=
ily:Helvetica;font-size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);=
font-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-converted-=
space">=C2=A0</span>auto-compression-mode: t</span><br style=3D"color:rgb(0=
,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Apple-conv=
erted-space" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px=
">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-s=
ize:12px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span>buffer-r=
ead-only: t</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-=
size:12px"><span class=3D"gmail-Apple-converted-space" style=3D"color:rgb(0=
,0,0);font-family:Helvetica;font-size:12px">=C2=A0</span><span style=3D"col=
or:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-Ap=
ple-converted-space">=C2=A0</span>line-number-mode: t</span><br style=3D"co=
lor:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span class=3D"gmail-A=
pple-converted-space" style=3D"color:rgb(0,0,0);font-family:Helvetica;font-=
size:12px">=C2=A0</span><span style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px"><span class=3D"gmail-Apple-converted-space">=C2=A0</span=
>transient-mark-mode: t</span><br style=3D"color:rgb(0,0,0);font-family:Hel=
vetica;font-size:12px"><br style=3D"color:rgb(0,0,0);font-family:Helvetica;=
font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-=
size:12px">Load-path shadows:</span><br style=3D"color:rgb(0,0,0);font-fami=
ly:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:He=
lvetica;font-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp=
-archive hides /Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-a=
rchive</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:=
12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"=
>/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-smb hides /Application=
s/Emacs2.app/Contents/Resources/lisp/net/tramp-smb</span><br style=3D"color=
:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(=
0,0,0);font-family:Helvetica;font-size:12px">/Users/mkancherla/.emacs.d/elp=
a/tramp-2.5.1.1/tramp-uu hides /Applications/Emacs2.app/Contents/Resources/=
lisp/net/tramp-uu</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica=
;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font=
-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp hides /Appl=
ications/Emacs2.app/Contents/Resources/lisp/net/tramp</span><br style=3D"co=
lor:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:r=
gb(0,0,0);font-family:Helvetica;font-size:12px">/Users/mkancherla/.emacs.d/=
elpa/tramp-2.5.1.1/tramp-adb hides /Applications/Emacs2.app/Contents/Resour=
ces/lisp/net/tramp-adb</span><br style=3D"color:rgb(0,0,0);font-family:Helv=
etica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica=
;font-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-sh hid=
es /Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-sh</span><br =
style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">/Users/mkancherl=
a/.emacs.d/elpa/tramp-2.5.1.1/trampver hides /Applications/Emacs2.app/Conte=
nts/Resources/lisp/net/trampver</span><br style=3D"color:rgb(0,0,0);font-fa=
mily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tra=
mp-cmds hides /Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-cm=
ds</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px=
"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">/Us=
ers/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-integration hides /Applica=
tions/Emacs2.app/Contents/Resources/lisp/net/tramp-integration</span><br st=
yle=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">/Users/mkancherl=
a/.emacs.d/elpa/tramp-2.5.1.1/tramp-sudoedit hides /Applications/Emacs2.app=
/Contents/Resources/lisp/net/tramp-sudoedit</span><br style=3D"color:rgb(0,=
0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);=
font-family:Helvetica;font-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp=
-2.5.1.1/tramp-cache hides /Applications/Emacs2.app/Contents/Resources/lisp=
/net/tramp-cache</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;=
font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-=
size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-compat hides=
 /Applications/Emacs2.app/Contents/Resources/lisp/net/tramp-compat</span><b=
r style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span sty=
le=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">/Users/mkanche=
rla/.emacs.d/elpa/tramp-2.5.1.1/tramp-gvfs hides /Applications/Emacs2.app/C=
ontents/Resources/lisp/net/tramp-gvfs</span><br style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-f=
amily:Helvetica;font-size:12px">/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1=
.1/tramp-ftp hides /Applications/Emacs2.app/Contents/Resources/lisp/net/tra=
mp-ftp</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:=
12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"=
>/Users/mkancherla/.emacs.d/elpa/tramp-2.5.1.1/tramp-rclone hides /Applicat=
ions/Emacs2.app/Contents/Resources/lisp/net/tramp-rclone</span><br style=3D=
"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"colo=
r:rgb(0,0,0);font-family:Helvetica;font-size:12px">/Users/mkancherla/.emacs=
.d/elpa/tramp-2.5.1.1/tramp-loaddefs hides /Applications/Emacs2.app/Content=
s/Resources/lisp/net/tramp-loaddefs</span><br style=3D"color:rgb(0,0,0);fon=
t-family:Helvetica;font-size:12px"><br style=3D"color:rgb(0,0,0);font-famil=
y:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Hel=
vetica;font-size:12px">Features:</span><br style=3D"color:rgb(0,0,0);font-f=
amily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family=
:Helvetica;font-size:12px">(shadow sort mail-extr emacsbug message rmc puny=
 dired dired-loaddefs</span><br style=3D"color:rgb(0,0,0);font-family:Helve=
tica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;=
font-size:12px">format-spec rfc822 mml mml-sec epa derived epg epg-config g=
nus-util</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-siz=
e:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12p=
x">rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies<=
/span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><=
span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">mm-enc=
ode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail</span><br s=
tyle=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">rfc2047 rfc2045 =
ietf-drums mm-util mail-prsvr mail-utils finder-inf info</span><br style=3D=
"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"colo=
r:rgb(0,0,0);font-family:Helvetica;font-size:12px">package easymenu browse-=
url url-handlers url-parse auth-source cl-seq</span><br style=3D"color:rgb(=
0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0=
);font-family:Helvetica;font-size:12px">eieio eieio-core cl-macs eieio-load=
defs password-cache json subr-x map</span><br style=3D"color:rgb(0,0,0);fon=
t-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-fam=
ily:Helvetica;font-size:12px">url-vars seq byte-opt gv bytecomp byte-compil=
e cconv cl-loaddefs cl-lib</span><br style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helve=
tica;font-size:12px">tooltip eldoc electric uniquify ediff-hook vc-hooks li=
sp-float-type</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;fon=
t-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-siz=
e:12px">mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win</=
span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><s=
pan style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">tool-ba=
r dnd fontset image regexp-opt fringe tabulated-list replace</span><br styl=
e=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"=
color:rgb(0,0,0);font-family:Helvetica;font-size:12px">newcomment text-mode=
 elisp-mode lisp-mode prog-mode register page</span><br style=3D"color:rgb(=
0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0=
);font-family:Helvetica;font-size:12px">tab-bar menu-bar rfn-eshadow isearc=
h timer select scroll-bar mouse</span><br style=3D"color:rgb(0,0,0);font-fa=
mily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px">jit-lock font-lock syntax facemenu font-core term=
/tty-colors frame</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica=
;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font=
-size:12px">minibuffer cl-generic cham georgian utf-8-lang misc-lang vietna=
mese</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12=
px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">t=
ibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek</spa=
n><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span=
 style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">romanian s=
lovak czech european ethiopic indian cyrillic chinese</span><br style=3D"co=
lor:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:r=
gb(0,0,0);font-family:Helvetica;font-size:12px">composite charscript charpr=
op case-table epa-hook jka-cmpr-hook help</span><br style=3D"color:rgb(0,0,=
0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);fo=
nt-family:Helvetica;font-size:12px">simple abbrev obarray cl-preloaded nadv=
ice loaddefs button faces</span><br style=3D"color:rgb(0,0,0);font-family:H=
elvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvet=
ica;font-size:12px">cus-face macroexp files text-properties overlay sha1 md=
5 base64 format</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;f=
ont-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-s=
ize:12px">env code-pages mule custom widget hashtable-print-readable backqu=
ote</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12p=
x"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">th=
reads kqueue cocoa ns multi-tty make-network-process emacs)</span><br style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><br style=3D"col=
or:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rg=
b(0,0,0);font-family:Helvetica;font-size:12px">Memory information:</span><b=
r style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span sty=
le=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">((conses 16 69=
254 6106)</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-si=
ze:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12=
px">(symbols 48 8166 1)</span><br style=3D"color:rgb(0,0,0);font-family:Hel=
vetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetic=
a;font-size:12px">(strings 32 24442 1598)</span><br style=3D"color:rgb(0,0,=
0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);fo=
nt-family:Helvetica;font-size:12px">(string-bytes 1 759163)</span><br style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"c=
olor:rgb(0,0,0);font-family:Helvetica;font-size:12px">(vectors 16 13863)</s=
pan><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><sp=
an style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">(vector-=
slots 8 171466 13674)</span><br style=3D"color:rgb(0,0,0);font-family:Helve=
tica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;=
font-size:12px">(floats 8 24 21)</span><br style=3D"color:rgb(0,0,0);font-f=
amily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family=
:Helvetica;font-size:12px">(intervals 56 192 0)</span><br style=3D"color:rg=
b(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0=
,0);font-family:Helvetica;font-size:12px">(buffers 1000 12))</span><br></di=
v></div>

--0000000000005b6a2c05ca673583--

--0000000000005b6a2e05ca673585
Content-Type: text/plain; charset="US-ASCII"; name="test.txt"
Content-Disposition: attachment; filename="test.txt"
Content-Transfer-Encoding: base64
Content-ID: <f_ksrvdhje0>
X-Attachment-Id: f_ksrvdhje0
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--0000000000005b6a2e05ca673585--




Acknowledgement sent to Mani Kancherla <kancherla.mani@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50205; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Sep 2021 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.